package com.fzm.mall.customer.service.constant;

/**
 * 错误码分三大类
 * 1.客户端 -- 以A0001开头
 * 2.业务端 -- 以B0001开头
 * 3.第三方 -- 以C0001开头
 * <p>
 * 每大类下分小类
 * 小类范围A01** - A99**
 * 先到先得
 * <p>
 * 小类下在细分具体错误
 * 范围A0101 - A0199
 *
 * @author wangp
 * @date 2021/2/26 16:06
 * @description 错误码
 * @since JDK 1.8
 */
public class MallResponseError {

    /**
     * 客户端错误
     */
    public static final String CLIENT_ERROR = "A0001";

    //  参数相关
    public static final String PARAM_ERROR = "A0200";
    public static final String NULL_PARAM_ERROR = "A0201";
    public static final String PHONE_FORMAT__ERROR = "A0202";
    public static final String PHONE_CODE__ERROR = "A0203";
    public static final String PHONE_EXIST__ERROR = "A0204";
    public static final String PHONE_NOT_REGISTER__ERROR = "A0205";
    public static final String VALUE_LT_0_ERROR = "A0206";
    public static final String COIN_HAS_EXIST = "A0207";
    public static final String COIN_NOT_RMB = "A0208";

    /**
     * 业务端错误
     */
    public static final String UPDATE_FAIL = "B0100";
    public static final String SAVE_DUPLICATE = "B0101";
    public static final String DELETE_FAIL = "B0102";
    public static final String MERCHANT_ERROR = "B0200";
    public static final String CANCEL_ERROR = "B0201";
}
