package com.fzm.mall.customer.service.customer.entity.dto;

import com.fzm.mall.customer.service.constant.MallResponseError;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author wulixian
 * @since 2021/4/7
 */
@Data
public class CustomerSaveDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String userId;

    @ApiModelProperty(value = "用户名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String userName;

    @ApiModelProperty(value = "客服头像")
    private String userImage;

    @ApiModelProperty(value = "客服id", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String customerId;

    @ApiModelProperty(value = "客服名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String customerName;

    @ApiModelProperty(value = "客服头像")
    private String customerImage;
}
