package com.fzm.mall.customer.service.customer.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author wulixian
 * @since 2021-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("customer_message")
@ApiModel(value = "Message对象", description = "")
public class Message implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 心跳检测
     */
    public static final Integer MESSAGE_TYPE_HEARTBEAT = 120;

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "消息编号")
    private String messageId;

    @ApiModelProperty(value = "发送者编号")
    private String fromId;

    @ApiModelProperty(value = "发送者名称")
    private String fromName;

    @ApiModelProperty(value = "发送者头像地址")
    private String fromImage;

    @ApiModelProperty(value = "接收者编号")
    private String toId;

    @ApiModelProperty(value = "发送内容")
    private String content;

    @ApiModelProperty(value = "消息类型(1-文本,2-图片,3-视频,120-心跳检测)")
    private Integer msgType;

    @ApiModelProperty(value = "发送时间")
    private Long sendTime;
}
