package com.fzm.mall.midea.pay.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author tangtuo
 * @date 2021/5/27 16:14
 */
@Data
@ApiModel("退款交易查询响应参数")
public class RefundQueryResponse extends BaseResponse {

    @ApiModelProperty("商户网站唯一的退款订单号（确保在合作伙伴系统中唯一）")
    private String out_refund_no;

    @ApiModelProperty("平台创建退款交易的订单号")
    private String refund_no;

    @ApiModelProperty("需退款的商户网站唯一订单号（原交易订单的订单号）")
    private String out_trade_no;

    @ApiModelProperty("美的支付交易订单创建时间，格式为yyyyMMddHHmmss")
    private String refund_accept_time;

    @ApiModelProperty("支付金额的货币类型。CNY:人民币")
    private String currency_type;

    @ApiModelProperty("退款的总金额，单位分")
    private String refund_total_amount;

    @ApiModelProperty("退款的金额，单位: 分")
    private String refund_amount;

    @ApiModelProperty("退款的营销金额，单位分")
    private String refund_market_amount;

    @ApiModelProperty("系统支付订单的时间")
    private String pay_time;

    /**
     * NOT_EXIST：订单不存在
     * WAIT_PAY：未退款
     * PAYING：退款中
     * SUCCESS：退款成功
     * FAIL：退款失败
     */
    @ApiModelProperty("订单状态")
    private String refund_status;

    @ApiModelProperty("订单状态的描述信息")
    private String refund_status_info;

    @ApiModelProperty("到账状态")
    private String arrival_status;

    @ApiModelProperty("到账时间 格式为yyyyMMddHHmmss")
    private String arrival_time;

}
