package com.fzm.mall.midea.pay.model;

import lombok.Data;

@Data
public class RefundResponse extends BaseResponse {

    /**
     * 商户网站唯一的退款订单号（确保在合作伙伴系统中唯一）
     */
    private String out_refund_no;

    /**
     * 需退款的商户网站唯一订单号（原交易订单的订单号）
     */
    private String out_trade_no;

    /**
     * 平台创建退款交易的订单号
     */
    private String refund_no;

    /**
     * 美的支付交易订单创建时间，格式为yyyyMMddHHmmss
     */
    private String refund_accept_time;

    /**
     * 支付金额的货币类型: CNY 人民币
     */
    private String currency_type;

    /**
     * 退款的金额，单位分
     */
    private String refund_amount;

    /**
     * NOT_EXIST：订单不存在
     * WAIT_PAY：未退款
     * PAYING：退款中
     * SUCCESS：退款成功
     * FAIL：退款失败
     */
    private String refund_status;

    /**
     * 订单状态的描述信息
     */
    private String refund_status_info;

    /**
     * 到账状态
     * WAIT_PAY：未支付
     * PAYMENT_PROCESSING: 到账中
     * PAYMENT_RECEIVED:   已到账
     */
    private String arrival_status;

    /**
     * 商户自定义的信息
     */
    private String attach;

}