package com.fzm.mall.midea.pay.params;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author tangtuo
 * @date 2021/5/24 13:51
 */

@Data
@Accessors(chain = true)
public class RefundNotifyParam extends BaseParam {

    /**
     * 商户网站唯一的退款订单号
     */
    private String out_refund_no;

    /**
     * 平台创建退款交易的订单号
     */
    private String refund_no;

    /**
     * 需退款的商户网站唯一订单号（原交易订单的订单号）
     */
    private String out_trade_no;

    /**
     * 退款单创建时间，格式为yyyyMMddHHmmss
     */
    private String refund_accept_time;

    /**
     * 美的支付通知商户时间，格式为yyyyMMddHHmmss
     */
    private String notify_time;


    /**
     * 货币类型：
     * CNY：人民币
     */
    private String currency_type;

    /**
     * 退款总金额，单位：分
     */
    private String refund_total_amount;

    /**
     * 退款营销金额，单位:分
     */
    private String refund_market_amount;

    /**
     * 退款的金额，单位：分
     */
    private String refund_amount;

    /**
     * 退款交易执行的时间,格式为yyyyMMddHHmmss
     */
    private String pay_time;

    /**
     * NOT_EXIST：订单不存在
     * WAIT_PAY：未退款
     * PAYING：退款中
     * SUCCESS：退款成功
     * FAIL：退款失败
     */
    private String refund_status;

    /**
     * 退款结果描述
     */
    private String refund_status_info;

    /**
     * 到账状态：
     * WAIT_PAY：未支付
     * PAYMENT_PROCESSING: 到账中
     * PAYMENT_RECEIVED:   已到账
     */
    private String arrival_status;

    /**
     * 到账时间，格式为 yyyyMMddHHmmss
     */
    private String arrival_time;

    /**
     * 商户请求时传入的attach值
     */
    private String attach;

}

