package com.fzm.mall.midea.pay.params;

import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/5/25 16:41
 */
@Data
public class RefundParam extends BaseParam {

    /**
     * 商户网站唯一的退款订单号（确保在合作伙伴系统中唯一）
     * 不可为空
     */
    private String out_refund_no;

    /**
     * 商户发起交易，提交订单的时间，格式yyyyMMddHHmmss
     * 不可为空
     */
    private String out_refund_time;

    /**
     * 需退款的商户网站唯一订单号（原交易订单的订单号
     * 不可为空
     */
    private String out_trade_no;

    /**
     * 支付金额的货币类型: CNY 人民币
     */
    private String currency_type;

    /**
     * 退款总金额，单位分
     */
    private String refund_total_amount;

    /**
     * 支付金额退款，单位分
     * 不可为空
     */
    private String refund_amount;

    /**
     * 营销金额退款，单位分
     */
    private String refund_market_amount;

    /**
     * 商户自定义的信息，回调通知的时候平台会原值返回给商户
     */
    private String attach;

    /**
     * 风控参数
     * 不可为空
     */
    private String risk_params;

}
