package com.fzm.mall.midea.pay.params;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Map;

/**
 * @author tangtuo
 * @date 2021/5/24 13:51
 */

@Data
@Accessors(chain = true)
public class TradeNotifyParam extends BaseParam{

    /**
     * 担保交易标志：
     * TRUE 担保交易
     * FALSE 即时到账交易（默认）
     * 不可为空
     */
    private String is_guarantee;

    /**
     * 美的支付合作商户网站唯一订单号（确保在合作伙伴系统中唯一）
     * 不可为空
     */
    private String out_trade_no;

    /**
     * 美的支付交易订单号
     */
    private String trade_no;

    /**
     * 美的支付交易订单创建时间，格式yyyyMMddHHmmss
     * 不可为空
     */
    private String trade_accept_time;

    /**
     * 美的支付通知商户时间，格式为yyyyMMddHHmmss
     */
    private String notify_time;


    /**
     * 货币类型：
     * CNY：人民币
     */
    private String currency_type;

    /**
     * 营销商户号
     */
    private String market_partner;

    /**
     * 订单总金额等于支付金额加营销金额，单位分
     * （3.4.0不可空）
     */
    private String order_amount;

    /**
     * 交易的支付金额，单位分
     * 不可为空
     */
    private String pay_amount;

    /**
     * 营销金额，单位分
     */
    private String market_amount;

    /**
     * 该笔交易的支付时间,格式为yyyyMMddHHmmss
     */
    private String pay_time;

    /**
     * NOT_EXIST：订单不存在
     * WAIT_PAY：未支付
     * PAYING：支付中
     * SUCCESS：成功
     * FAIL：失败
     */
    private String trade_status;

    /**
     *
     * 支付结果描述
     */
    private String trade_status_info;

    /**
     * 商户请求时传入的attach值
     */
    private String attach;

    /**
     * 支付方式：三级业务类型
     * 注：B2C下单版本>=3.1.0才返回此参数
     */
    private String business_types;


}

