package com.fzm.mall.midea.pay.properties;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tangtuo
 * @date 2021/5/26 15:17
 */
@Data
@Component
@ConfigurationProperties(prefix = "midea.pay")
public class MideaPayProperties {

    @ApiModelProperty(value = "美的支付网关地址")
    private String url;

    @ApiModelProperty(value = "商户号")
    private String partner;

    @ApiModelProperty(value = "单笔交易支付回调地址")
    private String tradeNotifyUrl;

    @ApiModelProperty(value = "合单交易支付回调地址")
    private String batchTradeNotifyUrl;

    @ApiModelProperty(value = "退款回调地址")
    private String refundNotifyUrl;

    @ApiModelProperty(value = "天威签名地址")
    private String getSignUrl;

    @ApiModelProperty(value = "天威验签地址")
    private String checkSignUrl;
}
