package com.fzm.mall.pay.entity.dto;

import com.fzm.mall.pay.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/15 15:02
 * @description 微信退款信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "WxRefundDTO", description = "微信退款信息")
public class WxRefundDTO {

    @ApiModelProperty("微信支付订单号/二选一")
    private String transactionId;

    @ApiModelProperty("商户订单号/二选一")
    private String outTradeNo;

    @ApiModelProperty("商户退款单号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String outRefundNo;

    @ApiModelProperty("退款金额，币种的最小单位")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer refund;

    @ApiModelProperty("原支付交易的订单总金额")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer total;

}
