package com.fzm.mall.pay.entity.dto;

import com.fzm.mall.pay.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/14 16:59
 * @description 微信统一下单信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "WxUnifiedOrderDTO", description = "微信统一下单信息")
public class WxUnifiedOrderDTO {
    @ApiModelProperty("商品描述")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String description;

    @ApiModelProperty("商户订单号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String outTradeNo;

    @ApiModelProperty("订单总金额/分")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer total;
}
