package com.fzm.mall.server.admin.annotation;

import com.fzm.mall.server.admin.enums.log.OperateModuleEnum;
import com.fzm.mall.server.admin.enums.log.OperateTypeEnum;

import java.lang.annotation.*;

/**
 * @author wangp
 * @date 2021/2/26 16:06
 * @description 管理员行为日志
 * @since JDK 1.8
 */
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface AdminLog {

    /**
     * 操作描述 业务名称business
     *
     * @return
     */
    String description() default "";

    /**
     * 操作模块
     *
     * @return
     */
    OperateModuleEnum module();

    /**
     * 操作类型 create modify delete
     *
     * @return
     */
    OperateTypeEnum opType() default OperateTypeEnum.DEFAULT;

}
