package com.fzm.mall.server.admin.auth_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/9 13:41
 * @description 新增平台管理员信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PlatFormAdminDTO", description = "新增平台管理员信息")
public class AddAdminDTO {

    @ApiModelProperty("账号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String account;

    @ApiModelProperty("密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String password;

    @ApiModelProperty("角色id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String roleId;

    @ApiModelProperty("使用者")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String user;

    @ApiModelProperty("联系电话")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String linkPhone;
}
