package com.fzm.mall.server.admin.auth_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/9 17:27
 * @description 修改管理员角色
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "RepairAdminRoleDTO", description = "修改管理员角色")
public class RepairAdminRoleDTO {

    @ApiModelProperty("管理员id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String adminId;

    @ApiModelProperty("角色id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String roleId;

}
