package com.fzm.mall.server.admin.auth_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/9 17:14
 * @description 重置管理员密码
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "ResetAdminPwdDTO", description = "重置管理员密码信息")
public class ResetAdminPwdDTO {

    @ApiModelProperty("管理员id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String adminId;

    @ApiModelProperty("新密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String newPwd1;

    @ApiModelProperty("确认新密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String newPwd2;
}

