package com.fzm.mall.server.admin.auth_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/4/9 10:31
 * @description 角色编辑
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "RoleEdItDTO", description = "管理员角色编辑信息")
public class RoleEditDTO {

    @ApiModelProperty("角色id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String roleId;

    @ApiModelProperty("备注")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String remarks;

    @ApiModelProperty("权限json")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String authJson;
}
