package com.fzm.mall.server.admin.auth_center.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/4/8 13:41
 * @description 管理员权限
 * @since JDK 1.8
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("auth_menu")
@ApiModel(value = "AuthMenu对象", description = "")
public class AuthMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "菜单名")
    private String menuName;

    @ApiModelProperty(value = "父菜单节点索引")
    private Integer parentMenuIndex;

    @ApiModelProperty(value = "菜单节点索引")
    private Integer menuIndex;

    @ApiModelProperty(value = "菜单路径")
    private String menuUrl;

    @ApiModelProperty(value = "权限路由")
    private String route;

    @ApiModelProperty(value = "状态(0.正常 1.禁用)")
    private Boolean status;

}
