package com.fzm.mall.server.admin.distribution.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 物流中心-地址
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
@Data
@ApiModel(value="Address对象", description="物流中心-地址")
public class AddressDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "地址名称")
    private String addressName;

    @ApiModelProperty(value = "地址id")
    private String addressId;

    @ApiModelProperty(value = "联系人名称")
    private String contactName;

    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ApiModelProperty(value = "邮寄地址")
    private String mailingAddress;

    @ApiModelProperty(value = "是否默认(1-是，0-否)")
    private Boolean isDefault;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;

}
