package com.fzm.mall.server.admin.distribution.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 物流中心-地址
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
@Data
@ApiModel(value = "Address编辑对象", description = "物流中心-地址")
public class AddressUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "地址id", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String addressId;

    @ApiModelProperty(value = "地址名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String addressName;

    @ApiModelProperty(value = "联系人名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String contactName;

    @ApiModelProperty(value = "联系人电话", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String contactPhone;

    @ApiModelProperty(value = "邮寄地址", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String mailingAddress;

    @ApiModelProperty(value = "是否默认(1-是，0-否)", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Boolean isDefault;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息更新时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
