package com.fzm.mall.server.admin.distribution.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 物流中心-快递公司
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
@Data
@ApiModel(value = "Company对象", description = "物流中心-快递公司")
public class CompanyDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "快递简称")
    private String companyName;

    @ApiModelProperty(value = "物流公司名称")
    private String expName;

    @ApiModelProperty(value = "快递公司id", required = true)
    private String companyId;

    @ApiModelProperty(value = "快递代码")
    private String companyCode;

    @ApiModelProperty(value = "合作网点")
    private String cooperationNetwork;

    @ApiModelProperty(value = "网点地址")
    private String networkAddress;

    @ApiModelProperty(value = "网点电话")
    private String networkPhone;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;


}
