package com.fzm.mall.server.admin.distribution.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 物流中心-快递公司
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
@Data
@ApiModel(value="Company编辑对象", description="物流中心-快递公司")
public class CompanyUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "快递名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String companyName;

    @ApiModelProperty(value = "快递公司id", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String companyId;

    @ApiModelProperty(value = "快递代码", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String companyCode;

    @ApiModelProperty(value = "合作网点", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String cooperationNetwork;

    @ApiModelProperty(value = "网点地址", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String networkAddress;

    @ApiModelProperty(value = "网点电话", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String networkPhone;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息更新时间", required = true)
    private Long updateTime;

}
