package com.fzm.mall.server.admin.distribution.entity.dto;

import com.fzm.mall.server.admin.distribution.model.ParcelCenterGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 物流中心-包裹中心
 * </p>
 *
 * @author wulixian
 * @since 2021-03-04
 */
@Data
@ApiModel(value="ParcelCenter对象", description="物流中心-包裹中心")
public class ParcelCenterDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "包裹单号")
    private String expressNo;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "提货订单编号")
    private String orderDeliveryId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品数量")
    private Integer number;

    @ApiModelProperty(value = "快递公司缩写")
    private String expressType;

    @ApiModelProperty(value = "快递公司名称")
    private String expressName;

    @ApiModelProperty(value = "提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货")
    private Integer deliveryState;

    @ApiModelProperty(value = "下单时间")
    private Long createTime;

    @ApiModelProperty(value = "发货时间")
    private Long deliveryTime;

    @ApiModelProperty(value = "订单商品集合")
    private List<ParcelCenterGoodsDTO> goodsList;

    @ApiModelProperty(value = "快递物流详情集合")
    private List<ExpressItemDTO> expressDetailList;
}
