package com.fzm.mall.server.admin.distribution.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.distribution.entity.dto.ParcelCenterDTO;
import com.fzm.mall.server.admin.distribution.model.ParcelCenter;
import com.fzm.mall.server.admin.distribution.model.ParcelCenterGoods;
import com.fzm.mall.server.admin.order.model.Delivery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流中心-包裹中心 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-05
 */
@Mapper
public interface ParcelCenterMapper extends BaseMapper<ParcelCenter> {

    Delivery read(@Param("orderDeliveryId") String orderDeliveryId);

    IPage<ParcelCenterDTO> list(Page<ParcelCenterDTO> page,
                                @Param("packageNum") String packageNum,
                                @Param("uid") String uid,
                                @Param("orderDeliveryId") String orderDeliveryId,
                                @Param("deliveryState") Integer deliveryState,
                                @Param("merchantId") String merchantId);

    List<ParcelCenterGoods> listGoods(@Param("orderDeliveryId") String orderDeliveryId);

    List<ParcelCenterGoods> listPropVal(@Param("list") List<String> skuIdList);

}
