package com.fzm.mall.server.admin.distribution.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 物流中心-物流公司
 * </p>
 *
 * @author wulixian
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("distribution_express")
@ApiModel(value = "Express对象", description = "物流中心-物流公司")
public class Express implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final String EDILVERY_ORDER_EXPRESS_DETAIL_KEY = MALLGlobalConfig.PROJECT_PREFIX + "order_delivery_express_key";

    public static final int SECCESS_CODE = 0;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "物流公司id")
    private String expressId;

    @ApiModelProperty(value = "物流公司头像")
    private String imgUrl;

    @ApiModelProperty(value = "物流公司简称")
    private String simpleName;

    @ApiModelProperty(value = "物流公司联系方式")
    private String phone;

    @ApiModelProperty(value = "物流公司名称")
    private String expName;

    @ApiModelProperty(value = "官网地址")
    private String url;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
