package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/5/8 14:09
 * @description 增发
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "addIssueDTO", description = "增发")
public class AddIssueDTO {
    @ApiModelProperty("标识")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String label;

    @ApiModelProperty("数量")
    @Min(value = 0, message = MallResponseError.VALUE_LT_0_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer amount;
}
