package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/4/30 14:20
 * @description 积分审核
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "IntegralCheckDTO", description = "积分审核")
public class IntegralCheckDTO {
    @ApiModelProperty("标识")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String label;

    @ApiModelProperty("审核状态(4.失败 5.通过)")
    @CustomType(pType = MALLGlobalConfig.INTEGRAL_CHECK, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer status;

    @ApiModelProperty("审核失败原因")
    private String failReason;
}
