package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/4/30 15:00
 * @description 禁用启用积分
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "IntegralDisableDTO", description = "禁用启用积分")
public class IntegralDisableDTO {
    @ApiModelProperty("标识")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String label;

    @ApiModelProperty("禁用(6)启用(5)")
    @CustomType(pType = MALLGlobalConfig.INTEGRAL_DISABLE, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer status;
}
