package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/4/30 13:58
 * @description 积分兑换比例
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "IntegralExchangeRatioDTO", description = "积分兑换比例")
public class IntegralExchangeRatioDTO {
    @ApiModelProperty("标识")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String label;

    @ApiModelProperty("商户兑换比例基（分子）")
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer merchantRatio;

    @ApiModelProperty("平台兑换比例基（分母）")
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer baseRatio;
}
