package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/4/27 14:15
 * @description 积分
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "IntegralDTO", description = "积分")
public class MerchantIntegralDTO {
    @ApiModelProperty("标识")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String label;

    @ApiModelProperty("名称")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String name;

    @ApiModelProperty("logo")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String logo;

    @ApiModelProperty("发行量")
    @DecimalMin(value = "0", message = MallResponseError.VALUE_LT_0_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal issueNum;

    @ApiModelProperty("描述")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String description;
}
