package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/4/26 15:58
 * @description 收付款方式
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PayModelDTO", description = "收付款方式")
public class PayModelDTO {
    @ApiModelProperty("收付款方式（1.支付宝 2.微信 3.数字资产）")
    @CustomType(pType = MALLGlobalConfig.PAY_MODE, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer type;

    @ApiModelProperty("币种名称 如:BTC、RMB，微信支付宝传RMB")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String coin;

    @ApiModelProperty("支付宝微信账号或数字资产地址")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String accountOrAddress;
}
