package com.fzm.mall.server.admin.finance_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/5/14 15:36
 * @description 平台批量转账
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PlatformTransBatchDTO", description = "平台批量转账")
public class PlatformTransBatchDTO {
    @ApiModelProperty("excel路径")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String path;

    @ApiModelProperty("转账对象(1.商户 2.用户)")
    @CustomType(pType = MALLGlobalConfig.TRAN_OBJECT, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer type;
}
