package com.fzm.mall.server.admin.finance_center.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/3/4 16:06
 * @description 收付款方式
 * @since JDK 1.8
 */
@Data
@TableName("merchant_pay_mode")
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "MerchantPayMode对象", description = "")
public class MerchantPayMode implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "收付款方式（1.支付宝 2.微信 3.数字资产）")
    private Integer type;

    @ApiModelProperty(value = "币种名称 如:BTC、RMB")
    private String coin;

    @ApiModelProperty(value = "支付宝微信账号或数字资产地址")
    private String accountOrAddress;

    @ApiModelProperty(value = "状态（0.删除 1.正常）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
