package com.fzm.mall.server.admin.finance_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author fzm
 * @since 2021-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("platform_integral")
@ApiModel(value = "PlatformIntegral对象", description = "")
public class PlatformIntegral implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "标识")
    private String label;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "积分账户")
    private String account;

    @ApiModelProperty(value = "回收地址")
    private String recoverAddr;

    @ApiModelProperty(value = "账户私钥")
    private String addrKey;

    @ApiModelProperty(value = "积分价格")
    private BigDecimal price;

    @ApiModelProperty(value = "发行量")
    private BigDecimal issueNum;

    @ApiModelProperty(value = "余额")
    private BigDecimal balanceNum;

    @ApiModelProperty(value = "类别（1.平台积分 2.平台基础积分）")
    private Integer type;

    @ApiModelProperty(value = "状态（1.可用 2.禁用）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    public PlatformIntegral() {
    }

    public PlatformIntegral(String label, String name, BigDecimal price, BigDecimal issueNum, BigDecimal balanceNum, Integer type, Integer status) {
        this.label = label;
        this.name = name;
        this.price = price;
        this.issueNum = issueNum;
        this.balanceNum = balanceNum;
        this.type = type;
        this.status = status;
    }
}
