package com.fzm.mall.server.admin.finance_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户资产信息表
 * </p>
 *
 * @author fzm
 * @since 2021-04-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_asset")
@ApiModel(value = "UserAsset对象", description = "用户资产信息表")
public class UserAsset implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户资产表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "资产名称 如:btc、金币")
    private String coin;

    @ApiModelProperty(value = "冻结资产")
    private BigDecimal frozen;

    @ApiModelProperty(value = "可用资产")
    private BigDecimal amount;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "资产类型(0、支付币 1、商品币）")
    private Integer type;

    public UserAsset() {
    }

    public UserAsset(String uid, String coin, BigDecimal amount, Integer type) {
        this.uid = uid;
        this.coin = coin;
        this.amount = amount;
        this.type = type;
    }
}
