package com.fzm.mall.server.admin.finance_center.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.IntegralListVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.model.MerchantAssetsFlow;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/4/29 15:53
 * @description 服务类
 * @since JDK 1.8
 */
public interface IMerchantAssetsFlowService extends IService<MerchantAssetsFlow> {
    /**
     * 分页查询-商户资金流水
     *
     * @param flowId     流水号
     * @param merchantId 商户id
     * @param coin       资产类型
     * @param type       记录状态
     * @param pageNum    当前页数
     * @param pageSize   每页个数
     * @return
     */
    IPage<MerchantAssetsFlowVO> page(String flowId, String merchantId, String coin, Integer type, Integer pageNum, Integer pageSize);

    void saveOutRecharge(String uid, String coin, BigDecimal amount, Integer type, String otherSide);

}
