package com.fzm.mall.server.admin.finance_center.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.PlatformAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.model.PlatformAssetsFlow;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wangp
 * @date 2021/4/27 10:44
 * @description 服务类
 * @since JDK 1.8
 */
public interface IPlatformAssetsFlowService extends IService<PlatformAssetsFlow> {
    /**
     * 分页查询-平台流水
     *
     * @param flowId   流水号
     * @param coin     资产类型
     * @param type     资产类型
     * @param pageNum  当前页数
     * @param pageSize 每页个数
     * @return
     */
    IPage<PlatformAssetsFlowVO> page(String flowId, String coin, Integer type, Integer pageNum, Integer pageSize);

    /**
     * 资产类型
     */
    List<String> assetsType();
}
