package com.fzm.mall.server.admin.finance_center.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.UserAssetsRecordVO;
import com.fzm.mall.server.admin.finance_center.model.UserAssetRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/4/29 15:53
 * @description 用户资产变更记录表 服务类
 * @since JDK 1.8
 */
public interface IUserAssetRecordService extends IService<UserAssetRecord> {
    /**
     * 分页查询-用户流水
     *
     * @param flowId   流水号
     * @param uid      用户uid
     * @param coin     资产类型
     * @param type     记录状态
     * @param pageNum  当前页数
     * @param pageSize 每页个数
     * @return
     */
    IPage<UserAssetsRecordVO> page(String flowId, String uid, String coin, Integer type, Integer pageNum, Integer pageSize);

    void saveOutNftRecharge(String uid, String coin, BigDecimal amount, String otherSide, String hash);

}
