package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 商品类别
 * </p>
 *
 * @author wulixian
 * @since 2021-03-08
 */
@Data
@ApiModel(value="Category对象", description="商品类别")
public class CategoryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "系列编号")
    private String categoryId;

    @ApiModelProperty(value = "所属上一级系列编号")
    private String clazzId;

    @ApiModelProperty(value = "层级")
    private Integer level;

    @ApiModelProperty(value = "系列名称")
    private String name;

    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "子类别集合")
    private List<CategoryDTO> childList;

    @ApiModelProperty(value = "是否为选中（优惠券，促销活动的类目树查询展示时用）")
    private final Boolean checked = true;

    @ApiModelProperty(value = "是否为展开（优惠券，促销活动的类目树查询展示时用）")
    private final Boolean expand = true;
}
