package com.fzm.mall.server.admin.goods_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 商品类别
 * </p>
 *
 * @author wulixian
 * @since 2021-03-08
 */
@Data
@ApiModel(value="Category编辑对象", description="商品类别")
public class CategoryUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系列编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String categoryId;

    @ApiModelProperty(value = "系列名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String name;

    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "信息更新时间", required = true)
    private Long updateTime;
}
