package com.fzm.mall.server.admin.goods_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/5/13 14:14
 * @description 评论回复
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "CommentReplyDTO", description = "评论回复")
public class CommentReplyDTO {
    @ApiModelProperty(value = "评论id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String commentId;

    @ApiModelProperty(value = "回复内容", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String replyContent;
}
