package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 外部商品通证
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "ExternalToken对象", description = "外部商品通证")
public class ExternalTokenDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    private Long id;

    @ApiModelProperty(value = "编号")
    private String commodityPassId;

    @ApiModelProperty(value = "标识名称")
    private String labelName;

    @ApiModelProperty(value = "绑定商品编号")
    private String goodsId;

    @ApiModelProperty(value = "绑定商品名称")
    private String goodsName;

    @ApiModelProperty(value = "可用数量")
    private BigDecimal availableNumber;

    @ApiModelProperty(value = "已绑定数量")
    private BigDecimal bindNumber;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "状态(0.未绑定 1.已绑定)")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}
