package com.fzm.mall.server.admin.goods_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/3/17 15:20
 * @description 商品审核
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "GoodsCheckDTO", description = "商品审核")
public class GoodsCheckDTO {

    @ApiModelProperty("审核结果")
    @CustomType(pType = MALLGlobalConfig.GOODS_CHECK_STATUS, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer status;

    @ApiModelProperty("商品审核失败原因")
    private String checkFailReason;

    @ApiModelProperty("商品id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String goodsId;
}
