package com.fzm.mall.server.admin.goods_center.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/3/9 15:03
 * @description 规格属性信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "SkuPropertyDTO", description = "规格属性")
public class SkuPropertyDTO {

    @ApiModelProperty("属性名称")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String propKey;

    @ApiModelProperty("属性值")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String propVal;

}
