package com.fzm.mall.server.admin.goods_center.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品拍卖
 * </p>
 *
 * @author fzm
 * @since 2021-03-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_auction")
@ApiModel(value="Auction对象", description="商品拍卖")
public class Auction implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "拍卖编号")
    private String auctionId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "起拍价")
    private BigDecimal startPrice;

    @ApiModelProperty(value = "成交价")
    private BigDecimal finalPrice;

    @ApiModelProperty(value = "起拍时间")
    private Long startTime;

    @ApiModelProperty(value = "结束时间")
    private Long endTime;

    @ApiModelProperty(value = "中标用户编号")
    private String finalUid;

    @ApiModelProperty(value = "卖家保证金")
    private BigDecimal sellerDeposit;

    @ApiModelProperty(value = "买家保证金")
    private BigDecimal buyerDeposit;

    @ApiModelProperty(value = "竞价增幅")
    private BigDecimal priceIncrease;

    @ApiModelProperty(value = "状态  0: 删除  1: 进行中  2:结束  3:流拍   4:无人竞拍")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
