package com.fzm.mall.server.admin.goods_center.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品类别与商品对应表
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_category_spu")
@ApiModel(value = "CategorySpu对象", description = "商品类别与商品对应表")
public class CategorySpu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 类别-商品删除的标识
     */
    public static final Integer CATEGORY_STATUS_DELETED = 0;

    /**
     * 类别-商品有效的标识
     */
    public static final Integer CATEGORY_SPU_STATUS_EFFECTIVE = 1;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "类别编号")
    private String categoryId;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "商户编号")
    private String merchantId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
