package com.fzm.mall.server.admin.goods_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 外部商品通证
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
@Data
@TableName("external_token_trade")
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ExternalTokenTrade对象", description="外部商品通证")
public class ExternalTokenTrade implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "外部商品通证编号")
    private String commodityPassId;

    @ApiModelProperty(value = "交易编号")
    private String tradeId;

    @ApiModelProperty(value = "对方地址")
    private String oppositeAddress;

    @ApiModelProperty(value = "交易数量")
    private BigDecimal tradeNumber;

    @ApiModelProperty(value = "交易类型(1.库存充值 2.商品销售 3.商品退货)")
    private Integer tradeType;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;
}
