package com.fzm.mall.server.admin.goods_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author fzm
 * @since 2021-08-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_nft")
@ApiModel(value = "GoodsNft对象", description = "")
public class GoodsNft implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "(1.内部发行 2.外部绑定)")
    private Integer tzType;

    @ApiModelProperty(value = "NFT类型（1.单个，不可考贝 2.可拷贝）")
    private Integer type;

    @ApiModelProperty(value = "发行数量：只有商户选择“可拷贝”时，才会出现")
    private Long number;

    @ApiModelProperty(value = "销量")
    private Long sales;

    @ApiModelProperty(value = "库存")
    private Long stock;

    @ApiModelProperty(value = "nft  发行id")
    private String tokenId;

    @ApiModelProperty(value = "交易hash")
    private String hash;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
