package com.fzm.mall.server.admin.goods_center.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/3/25 16:06
 * @description 积分兑换
 * @since JDK 1.8
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_integral_exchange")
@ApiModel(value = "IntegralExchange对象", description = "")
public class IntegralExchange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "库存")
    private Long stock;

    @ApiModelProperty(value = "已兑量")
    private Long exchange;

    @ApiModelProperty(value = "积分数量")
    private Integer pNum;

    @ApiModelProperty(value = "状态 0: 删除  1: 上架  2: 下架 ")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
