package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.dto.AuctionDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.AuctionVO;
import com.fzm.mall.server.admin.goods_center.model.Auction;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/3/15 14:17
 * @description 商品拍卖 服务类
 * @since JDK 1.8
 */
public interface IAuctionService extends IService<Auction> {

    /**
     * 新增拍卖商品
     *
     * @param auctionDTO 拍卖信息
     * @param goodsId    商品id
     */
    void add(AuctionDTO auctionDTO, String goodsId);

    /**
     * 编辑拍卖商品
     *
     * @param auctionDTO 拍卖信息
     * @param goodsId    商品id
     */
    void edit(AuctionDTO auctionDTO, String goodsId);

    /**
     * 根据商品id查询拍卖信息
     *
     * @param goodsId 商品拍卖
     * @return 拍卖
     */
    AuctionVO getByGoodsId(String goodsId);
}
