package com.fzm.mall.server.admin.goods_center.service;

import com.alibaba.fastjson.JSONArray;
import com.fzm.mall.server.admin.goods_center.model.CategorySpu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wangp
 * @date 2021/3/4 16:06
 * @description 商品类别与商品对应表 服务类
 * @since JDK 1.8
 */
public interface ICategorySpuService extends IService<CategorySpu> {

    /**
     * 新增商品类目
     *
     * @param ids        排序好的类目名
     * @param goodsId    商品id
     * @param merchantId 商户id
     */
    void add(JSONArray ids, String goodsId, String merchantId);

    /**
     * 新增商品类目
     *
     * @param goodsId    商品id
     */
    void delByGoodsIds(String goodsId);

    /**
     * 根据商品id查询商品信息
     *
     * @param goodsId 商品id
     */
    String getByGoodsId(String goodsId);

    /**
     * 根据商品id查询商品信息
     *
     * @param goodsId 商品id
     */
    String getByGoodsIdForId(String goodsId);

}
