package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.vo.SalesTopTenVO;
import com.fzm.mall.server.admin.goods_center.model.Count;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.order.model.OrderDetail;

import java.util.List;

/**
 * <p>
 * 商品统计信息表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-02
 */
public interface ICountService extends IService<Count> {

    /**
     * 初始化商品销量
     *
     * @param goodsId
     */
    void init(String goodsId);

    /**
     * 商品订单退款-销量还原
     */
    void restoreSales(List<OrderDetail> orderDetailList);

    /**
     * 销量前十商品
     * @param merchantId
     * @return
     */
    List<SalesTopTenVO> salesTopTen(String merchantId);
}
