package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.dto.CommentReplyDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsCommentAppendDetailVO;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsCommentDetailVO;
import com.fzm.mall.server.admin.goods_center.model.GoodsCommentAppend;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/5/12 16:06
 * @description 商品追加评论表（用于对商品的评论） 服务类
 * @since JDK 1.8
 */
public interface IGoodsCommentAppendService extends IService<GoodsCommentAppend> {
    /**
     * 根据评论id查询追加评价详情
     *
     * @param commentId 评论id
     */
    GoodsCommentAppendDetailVO queryAppendCommentDetailByCommentId(String commentId);

    /**
     * 追加评价回复
     *
     * @param dto 回复
     */
    void appendReply(CommentReplyDTO dto);

    /**
     * 追加删除评价
     *
     * @param commentId 评论id
     */
    void appendDelete(String commentId);

}
