package com.fzm.mall.server.admin.goods_center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.goods_center.entity.dto.NFTDTO;
import com.fzm.mall.server.admin.goods_center.entity.dto.PackageDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsNftVO;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsPackageVO;
import com.fzm.mall.server.admin.goods_center.model.GoodsPackage;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-30
 */
public interface IGoodsPackageService extends IService<GoodsPackage> {

    /**
     * 新增打包商品
     *
     * @param packageDTO 打包信息
     * @param goodsId    商品id
     */
    void add(PackageDTO packageDTO, String goodsId);

    /**
     * 根据商品id查询商品信息
     *
     * @param goodsId 商品id
     */
    GoodsPackageVO getByGoodsId(String goodsId);

    /**
     * 根据商品id查询商品信息
     *
     * @param goodsId 商品id
     */
    GoodsPackage getByGoodsIdInner(String goodsId);

    /**
     * 编辑打包商品
     *
     * @param packageDTO  打包信息
     * @param goodsId 商品id
     */
    void edit(PackageDTO packageDTO, String goodsId);

}
