package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.dto.PointsExchangeDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.PointsExchangeVO;
import com.fzm.mall.server.admin.goods_center.model.PointsExchange;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/3/4 16:06
 * @description 积分兑换 服务类
 * @since JDK 1.8
 */
public interface IPointsExchangeService extends IService<PointsExchange> {

    /**
     * 新增积分兑换信息
     *
     * @param pointsExchangeDTO 积分兑换信息
     * @param goodsId           商品id
     */
    void add(PointsExchangeDTO pointsExchangeDTO, String goodsId);

    /**
     * 编辑积分兑换信息
     *
     * @param pointsExchangeDTO 积分兑换信息
     * @param goodsId           商品id
     */
    void edit(PointsExchangeDTO pointsExchangeDTO, String goodsId);


    /**
     * 根据商品id查询积分兑换信息
     *
     * @param goodsId 商品id
     * @return 积分兑换
     */
    PointsExchangeVO getByGoodsId(String goodsId);
}
