package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.dto.PreSaleDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.PreSaleVO;
import com.fzm.mall.server.admin.goods_center.model.PreSale;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/3/15 16:06
 * @description 商品预售 服务类
 * @since JDK 1.8
 */
public interface IPreSaleService extends IService<PreSale> {

    /**
     * 新增商品预售
     *
     * @param preSaleDTO 商品预售信息
     * @param goodsId    商品id
     */
    void add(PreSaleDTO preSaleDTO, String goodsId);

    /**
     * 编辑商品预售
     *
     * @param preSaleDTO 商品预售信息
     * @param goodsId    商品id
     */
    void edit(PreSaleDTO preSaleDTO, String goodsId);

    /**
     * 根据商品id查询预售信息
     *
     * @param goodsId 商品id
     * @return 预售
     */
    PreSaleVO getByGoodsId(String goodsId);

}
