package com.fzm.mall.server.admin.goods_center.service;

import com.fzm.mall.server.admin.goods_center.entity.dto.SkuPropertyDTO;
import com.fzm.mall.server.admin.goods_center.entity.vo.SkuPropertyVO;
import com.fzm.mall.server.admin.goods_center.model.SkuProp;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wangp
 * @date 2021/3/4 16:06
 * @description 商品规格属性 服务类
 * @since JDK 1.8
 */
public interface ISkuPropService extends IService<SkuProp> {

    /**
     * 新增规格属性
     *
     * @param pDTOs 规格属性集合
     * @param skuId 规格id
     */
    void add(List<SkuPropertyDTO> pDTOs, String skuId);

    /**
     * 查询规格属性
     *
     * @param skuId 规格id
     */
    List<SkuPropertyVO> getBySkuId(String skuId);

}
