package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @description 管理员登录信息传输对象
 * @since 2021-02-25
 */
@Data
@ApiModel(value = "LoginDTO对象", description = "管理员登录信息")
public class LoginDTO {

    @ApiModelProperty(value = "账号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String account;

    @ApiModelProperty(value = "密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String password;

    @ApiModelProperty(value = "票据")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String ticket;

    @ApiModelProperty(value = "随机码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String rand;

    @ApiModelProperty(value = "用户ip")
    private String userIp;
}


