package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/3/24 17:46
 * @description 商户审核
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "MerchantCheckDTO", description = "商户审核")
public class MerchantCheckDTO {

    @ApiModelProperty("商户id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String merchantId;

    @ApiModelProperty("审核")
    @CustomType(pType = MALLGlobalConfig.MERCHANT_CHECK, message = MallResponseError.PARAM_ERROR)
    private Integer check;

    @ApiModelProperty("审核原因")
    private String reason;
}
