package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/3/2 14:02
 * @description 商户申请数据传输对象
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "MerchantDTO对象", description = "商户完善信息")
public class MerchantDTO {

    @ApiModelProperty(value = "注册手机号")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String registerPhone;

    @ApiModelProperty(value = "商户注册token")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String token;

//    @ApiModelProperty(value = "商户id")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
//    private String merchantId;

    @ApiModelProperty(value = "申请人联系方式")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String applyPhone;

    @ApiModelProperty(value = "申请人姓名")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String applyName;

    @ApiModelProperty(value = "申请人身份证号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String idCard;

    @ApiModelProperty(value = "申请人证件照正面")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String frontCardImg;

    @ApiModelProperty(value = "申请人证件照反面")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String afterCardImg;

    @ApiModelProperty(value = "申请人邮寄地址")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String postAddress;

    @ApiModelProperty(value = "商户类别")
    @CustomType(pType = MALLGlobalConfig.ENTERPRISE_TYPE, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer type;

    @ApiModelProperty(value = "企业名称")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String enterpriseName;

    @ApiModelProperty(value = "社会统一信用码")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String creditCode;

    @ApiModelProperty(value = "营业执照")
//    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String businessLicense;

}
