package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/3/24 16:57
 * @description 商户锁定解锁
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "MerchantLockDTO", description = "商户锁定解锁")
public class MerchantLockDTO {

    @ApiModelProperty("商户id")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String merchantId;

    @ApiModelProperty("锁定/解锁")
    @CustomType(pType = MALLGlobalConfig.MERCHANT_LOCK, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer lock;
}
