package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/3/2 15:29
 * @description 商户注册传输对象
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "RegisterDTO对象", description = "商户注册信息")
public class RegisterDTO {

    @ApiModelProperty(value = "注册手机号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String phone;

    @ApiModelProperty(value = "验证码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String code;
}


