package com.fzm.mall.server.admin.home_page.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/8/30 10:30
 * @description 商户注册设置密码
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "SetPwdDTO", description = "商户注册设置密码")
public class SetPwdDTO {

    @ApiModelProperty(value = "手机号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String phone;

    @ApiModelProperty(value = "验证token")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String token;

    @ApiModelProperty(value = "密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String pwd;

    @ApiModelProperty(value = "确认密码")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String pwd2;
}
