package com.fzm.mall.server.admin.home_page.entity.vo;

import com.fzm.mall.server.admin.goods_center.entity.vo.SalesTopTenVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author wangp
 * @date 2021/7/19 15:55
 * @description 首页统计-商户
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "MerchantStatistics", description = "首页统计-商户")
public class MerchantStatistics {

    @ApiModelProperty("累计商品数")
    private Integer spuNum;

    @ApiModelProperty("累计订单数")
    private Integer orderNum;

    @ApiModelProperty("累计销量")
    private Integer salesNum;

    @ApiModelProperty("昨日新增销量")
    private Integer yesterdayNewAddSalesNum;

    @ApiModelProperty("店铺收藏数")
    private Integer storeCollections;

    @ApiModelProperty("今日成交额")
    private BigDecimal todayTurnover;

    @ApiModelProperty("今日订单数")
    private Integer todayOrderNum;

    @ApiModelProperty("今日浏览量")
    private Integer todayViews;

    @ApiModelProperty("今日待付款订单")
    private Integer todayWaitPayOrderNum;

    @ApiModelProperty("销量top10")
    private List<SalesTopTenVO> saleTop10;

    @ApiModelProperty("销售额")
    private Map<String, String> salesVolume;

    @ApiModelProperty("订单量")
    private Map<String, String> orderNumMonth;

}
