package com.fzm.mall.server.admin.home_page.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author wangp
 * @date 2021/7/19 15:55
 * @description 首页统计-平台
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PlatformStatistics", description = "首页统计-平台")
public class PlatformStatistics {

    @ApiModelProperty("累计用户数")
    private Integer userNum;

    @ApiModelProperty("昨日新增用户数")
    private Integer yesterdayNewAddUserNum;

    @ApiModelProperty("累计商户数")
    private Integer merchantNum;

    @ApiModelProperty("昨日新增商户数")
    private Integer yesterdayNewAddMerchantNum;

    @ApiModelProperty("累计商品数")
    private Integer spuNum;

    @ApiModelProperty("昨日新增商品数")
    private Integer yesterdayNewAddSpuNum;

    @ApiModelProperty("累计订单量")
    private Integer orderNum;

    @ApiModelProperty("昨日新增订单量")
    private Integer yesterdayNewAddOrderNum;

    @ApiModelProperty("累计GMV")
    private BigDecimal gmv;

    @ApiModelProperty("昨日新增GMV")
    private BigDecimal yesterdayNewAddGmv;

    @ApiModelProperty("销量趋势")
    private Map<String, String> salesTrend;

    @ApiModelProperty("销量统计")
    private Map<String, String> salesStatistics;

}
