package com.fzm.mall.server.admin.marketing.entity.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 运营中心-积分返现
 * </p>
 *
 * @author wlx
 * @since 2021-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="MemberIntegralRecurrence对象", description="运营中心-积分返现")
public class MemberIntegralRecurrenceDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员配置表自增id", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long id;

    @ApiModelProperty(value = "等级：	1--普通会员	2--白银会员	3--黄金会员	4--钻石会员	5--黑卡会员", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer level;

    @ApiModelProperty(value = "购物返现", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal shopRefund;

    @ApiModelProperty(value = "评价返现", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal evaluationRefund;

    @ApiModelProperty(value = "签到返现", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal signInRefund;

    @ApiModelProperty(value = "商户号",required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String merchantId;

    @ApiModelProperty(value = "信息更新时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
