package com.fzm.mall.server.admin.marketing.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 商品促销规则
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@ApiModel(value="PromotionRule对象", description="商品促销规则")
public class PromotionRuleDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "促销规则编号")
    private String promotionRuleId;

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "促销条件值")
    private BigDecimal conditionVal;

    @ApiModelProperty(value = "促销优惠值")
    private BigDecimal promotionVal;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "商户id")
    private String merchantId;
}
