package com.fzm.mall.server.admin.marketing.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 商品促销规则
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@ApiModel(value="PromotionRule编辑对象", description="商品促销规则")
public class PromotionRuleUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "促销规则编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String promotionRuleId;

    @ApiModelProperty(value = "促销条件值", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal conditionVal;

    @ApiModelProperty(value = "促销优惠值", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private BigDecimal promotionVal;

    @ApiModelProperty(value = "更新时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
