package com.fzm.mall.server.admin.marketing.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 商品促销与规格对应表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@ApiModel(value = "PromotionSku对象", description = "商品促销与规格对应表")
public class PromotionSkuDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "促销活动-商品规格对应关系编号")
    private String promotionSkuId;

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品规格编号")
    private String skuId;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品描述")
    private String description;
}
