package com.fzm.mall.server.admin.marketing.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 商品促销与规格对应表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@ApiModel(value="PromotionSku新增对象", description="商品促销与规格对应表")
public class PromotionSkuSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商品编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String goodsId;

    @ApiModelProperty(value = "商品规格编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String skuId;
}
