package com.fzm.mall.server.admin.marketing.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 优惠券与商品规格对应表
 * </p>
 *
 * @author wulixian
 * @since 2021-04-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("marketing_coupon_sku")
@ApiModel(value="CouponSku对象", description="优惠券与商品规格对应表")
public class CouponSku implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final Integer COUPON_SKU_STATUS_DELETED = 0;

    public static final Integer COUPON_SKU_STATUS_EFFECTIVE = 1;

    private Long id;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "优惠券编号")
    private String couponId;

    @ApiModelProperty(value = "商品规格编号")
    private String skuId;

    @ApiModelProperty(value = "状态 0:删除  1:有效")
    private Integer status;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @TableField(exist = false)
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @TableField(exist = false)
    @ApiModelProperty(value = "商品描述")
    private String description;
}
