package com.fzm.mall.server.admin.marketing.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品促销规则
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("marketing_promotion_rule")
@ApiModel(value="PromotionRule对象", description="商品促销规则")
public class PromotionRule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品促销规则-0.删除
     */
    public static final Integer PROMOTION_RULE_STATUS_DELETED = 0;

    /**
     * 商品促销规则-1.有效
     */
    public static final Integer PROMOTION_RULE_STATUS_EFFECTIVE = 1;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "促销规则编号")
    private String promotionRuleId;

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "促销条件值")
    private BigDecimal conditionVal;

    @ApiModelProperty(value = "促销优惠值")
    private BigDecimal promotionVal;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "商户id")
    private String merchantId;
}
