package com.fzm.mall.server.admin.marketing.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品促销与规格对应表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("marketing_promotion_sku")
@ApiModel(value="PromotionSku对象", description="商品促销与规格对应表")
public class PromotionSku implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 促销商品商品-0.删除
     */
    public static final Integer PROMOTION_SKU_STATUS_DELETED = 0;

    /**
     * 促销商品商品-1.有效
     */
    public static final Integer PROMOTION_SKU_STATUS_EFFECTIVE = 1;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "促销活动-商品规格对应关系编号")
    private String promotionSkuId;

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品规格编号")
    private String skuId;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @TableField(exist = false)
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @TableField(exist = false)
    @ApiModelProperty(value = "商品描述")
    private String description;
}
