package com.fzm.mall.server.admin.marketing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.mall.server.admin.marketing.mapper.CouponSkuMapper;
import com.fzm.mall.server.admin.marketing.model.CouponSku;
import com.fzm.mall.server.admin.marketing.service.ICouponSkuService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 优惠券与商品规格对应表 服务实现类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-19
 */
@Service
@Transactional
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CouponSkuServiceImpl extends ServiceImpl<CouponSkuMapper, CouponSku> implements ICouponSkuService {

    private final CouponSkuMapper couponSkuMapper;

    @Override
    public List<CouponSku> listSku(String couponId, String merchantId) {
        return couponSkuMapper.listSku(couponId, merchantId);
    }
}
