package com.fzm.mall.server.admin.marketing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.mall.server.admin.marketing.mapper.PromotionSkuMapper;
import com.fzm.mall.server.admin.marketing.model.PromotionSku;
import com.fzm.mall.server.admin.marketing.service.IPromotionSkuService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 商品促销与规格对应表 服务实现类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-04
 */
@Service
@Transactional
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class IPromotionSkuServiceImpl extends ServiceImpl<PromotionSkuMapper, PromotionSku> implements IPromotionSkuService {

    private final PromotionSkuMapper promotionSkuMapper;

    @Override
    public List<PromotionSku> listSku(String promotionId, String merchantId) {
        return promotionSkuMapper.listSku(promotionId, merchantId);
    }
}
