package com.fzm.mall.server.admin.message.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 消息中心-公告
 * </p>
 *
 * @author wulixian
 * @since 2021-03-09
 */
@Data
@ApiModel(value="Notice新增对象", description="消息中心-公告")
public class NoticeSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标题", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String title;

    @ApiModelProperty(value = "内容", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String content;

    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long startTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long endTime;

    @ApiModelProperty(value = "卖家编号")
    private String merchantId;
}
