package com.fzm.mall.server.admin.message.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/5/6 14:54
 * @description 发送短信
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "SmsDTO", description = "发送短信")
public class SmsDTO {
    @ApiModelProperty(value = "接收短信的手机号码", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String phoneNumbers;

    @ApiModelProperty(value = "短信模板ID", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String templateCode;
}
