package com.fzm.mall.server.admin.message.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangp
 * @date 2021/5/6 14:30
 * @description 短信模板
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "SmsTemplateDTO", description = "短信模板")
public class SmsTemplateDTO {
    @ApiModelProperty(value = "模板名称，长度为1~30个字符。", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String templateName;

    @ApiModelProperty(value = "模板内容，长度为1~500个字符。", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String templateContent;

    @ApiModelProperty(value = "短信模板申请说明。请在申请说明中描述您的业务使用场景，长度为1~100个字符。", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String remark;
}
