package com.fzm.mall.server.admin.message.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/5/6 15:39
 * @description 短信模板
 * @since JDK 1.8
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sms_template")
@ApiModel(value = "SmsTemplate对象", description = "")
public class SmsTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "模板名称，长度为1~30个字符。")
    private String templateName;

    @ApiModelProperty(value = "模板内容，长度为1~500个字符。")
    private String templateContent;

    @ApiModelProperty(value = "短信模板CODE(id)")
    private String templateCode;

    @ApiModelProperty(value = "短信模板申请说明。请在申请说明中描述您的业务使用场景，长度为1~100个字符。")
    private String remark;

    @ApiModelProperty(value = "状态 0: 删除  1: 审核中  2: 审核失败 3.审核通过")
    private Integer status;

    @ApiModelProperty(value = "创建或审核失败原因")
    private String reason;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
