package com.fzm.mall.server.admin.message.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.message.entity.dto.SmsSendDTO;
import com.fzm.mall.server.admin.message.entity.vo.SmsSendVO;
import com.fzm.mall.server.admin.message.entity.vo.SmsTemplateVO;
import com.fzm.mall.server.admin.message.model.SmsSend;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/5/6 15:44
 * @description 服务类
 * @since JDK 1.8
 */
public interface ISmsSendService extends IService<SmsSend> {

    /**
     * 发送短信
     *
     * @param dto 短信信息
     */
    void send(SmsSendDTO dto);

    /**
     * 分页查询-短信消息列表
     *
     * @param smsNo    消息编号
     * @param keyWord  消息关键字
     * @param pageNum  当前页数
     * @param pageSize 每页个数
     * @return
     */
    IPage<SmsSendVO> page(String smsNo, String keyWord, Integer pageNum, Integer pageSize);

    /**
     * 删除短信
     *
     * @param smsNo 消息编号
     */
    void delete(String smsNo);

    /**
     * 重发短信
     *
     * @param smsNo 消息编号
     */
    void reSend(String smsNo);

}
