package com.fzm.mall.server.admin.message.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.IntegralListVO;
import com.fzm.mall.server.admin.message.entity.dto.ModifySmsTemplateDTO;
import com.fzm.mall.server.admin.message.entity.dto.SmsTemplateDTO;
import com.fzm.mall.server.admin.message.entity.vo.SmsTemplateVO;
import com.fzm.mall.server.admin.message.model.SmsTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/5/6 15:44
 * @description 服务类
 * @since JDK 1.8
 */
public interface ISmsTemplateService extends IService<SmsTemplate> {

    /**
     * 新增短信模板
     *
     * @param dto 模板信息
     */
    void add(SmsTemplateDTO dto);

    /**
     * 分页查询-短信模板列表
     *
     * @param templateCode 模板ID
     * @param templateName 模板名称
     * @param pageNum      当前页数
     * @param pageSize     每页个数
     * @return
     */
    IPage<SmsTemplateVO> page(String templateCode, String templateName, Integer pageNum, Integer pageSize);

    /**
     * 删除短信模板
     *
     * @param templateCode 模板ID
     */
    void delete(String templateCode);

    /**
     * 修改短信模板
     *
     * @param dto 模板信息
     */
    void modify(ModifySmsTemplateDTO dto);

    /**
     * 更新审核结果
     *
     * @param templateCode 模板id
     * @param status       状态
     * @param reason       结果
     */
    void updateCheckResult(String templateCode, Integer status, String reason);
}
