package com.fzm.mall.server.admin.opration.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 运营中心-banner
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Banner编辑对象", description = "运营中心-banner")
public class BannerUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "运营中心-banner编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String operationBannerId;

    @ApiModelProperty(value = "海报url", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String bannerImage;

    @ApiModelProperty(value = "类型(1->产品；2->活动)", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer bannerType;

    @ApiModelProperty(value = "详情链接")
    private String url;

    @ApiModelProperty(value = "产品编号")
    private String number;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息修改时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
