package com.fzm.mall.server.admin.opration.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 运营中心-首页楼层
 * </p>
 *
 * @author fzm
 * @since 2021-03-23
 */
@Data
@ApiModel(value = "FloorGoods新增对象", description = "运营中心-首页楼层")
public class FloorGoodsSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "运营中心-楼层编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String operationFloorId;

    @ApiModelProperty(value = "商品编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String goodsId;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;
}
