package com.fzm.mall.server.admin.opration.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 运营中心-功能区
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Function更新对象", description = "运营中心-功能区")
public class FunctionUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "运营中心-banner编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String operationFunctionId;

    @ApiModelProperty(value = "图标url", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String functionImage;

    @ApiModelProperty(value = "详情链接", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String url;

    @ApiModelProperty(value = "功能区跳转参数", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String param;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息修改时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
