package com.fzm.mall.server.admin.opration.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 运营中心-关键字
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Keyword新增对象", description = "运营中心-关键字")
public class KeywordSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键字", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String keyword;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;
}
