package com.fzm.mall.server.admin.opration.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 运营中心-首页楼层
 * </p>
 *
 * @author fzm
 * @since 2021-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("opration_floor_goods")
@ApiModel(value = "FloorGoods对象", description = "运营中心-首页楼层")
public class FloorGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-楼层编号")
    private String operationFloorId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "商品名称")
    @TableField(exist = false)
    private String name;

    @ApiModelProperty(value = "商品描述")
    @TableField(exist = false)
    private String description;

    @ApiModelProperty(value = "商品缩略图")
    @TableField(exist = false)
    private String thumb;

    public void init() {
        setStatus(false);
    }
}
