package com.fzm.mall.server.admin.opration.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 积分返现——商户
 * </p>
 *
 * @author fzm
 * @since 2021-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("opration_integral_return_merchant")
@ApiModel(value="IntegralReturnMerchant对象", description="积分返现——商户")
public class IntegralReturnMerchant implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "编号")
    private String returnId;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "活动名称")
    private String name;

    @ApiModelProperty(value = "返现数量")
    private BigDecimal num;

    @ApiModelProperty(value = "返现条件（1.每xx个商品 2.满xx元可用）")
    private Integer returnCondition;

    @ApiModelProperty(value = "具体条件")
    private BigDecimal conditionVal;

    @ApiModelProperty(value = "有效开始时间")
    private Long effectiveStartTime;

    @ApiModelProperty(value = "有效结束时间")
    private Long effectiveEndTime;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "商品范围（1.全部商品 2.指定类目 3.指定商品）")
    private Integer goodsRange;

    @ApiModelProperty(value = "状态（0.删除 1.未开始 2.可用 3.不可用 4.已过期）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
