package com.fzm.mall.server.admin.opration.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-积分返现-平台
 * </p>
 *
 * @author fzm
 * @since 2021-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("opration_integral_return_platform")
@ApiModel(value="IntegralReturnPlatform对象", description="运营中心-积分返现-平台")
public class IntegralReturnPlatform implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "序号")
    private Integer sort;

    @ApiModelProperty(value = "会员等级")
    private Integer memberLevel;

    @ApiModelProperty(value = "购物返现（平台积分）")
    private BigDecimal shoppingReturn;

    @ApiModelProperty(value = "评价返现（砖石）")
    private BigDecimal evaluationReturn;

    @ApiModelProperty(value = "签到返现（砖石）")
    private BigDecimal signReturn;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
