package com.fzm.mall.server.admin.opration.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-推广佣金
 * </p>
 *
 * @author fzm
 * @since 2021-09-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("opration_popularize_commission")
@ApiModel(value="PopularizeCommission对象", description="运营中心-推广佣金")
public class PopularizeCommission implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "序号")
    private Integer sort;

    @ApiModelProperty(value = "会员等级")
    private Integer memberLevel;

    @ApiModelProperty(value = "新人注册奖励（元）")
    private BigDecimal registerAward;

    @ApiModelProperty(value = "推荐新人注册奖励（元）")
    private BigDecimal recommendRegisterAward;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
