package com.fzm.mall.server.admin.opration.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.opration.entity.dto.IntegralReturnMerchantDTO;
import com.fzm.mall.server.admin.opration.entity.dto.IntegralReturnMerchantEditDTO;
import com.fzm.mall.server.admin.opration.entity.vo.IntegralReturnMerchantDetailVO;
import com.fzm.mall.server.admin.opration.entity.vo.IntegralReturnMerchantVO;
import com.fzm.mall.server.admin.opration.model.IntegralReturnMerchant;

import java.util.List;

/**
 * <p>
 * 积分返现——商户 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-07-29
 */
public interface IIntegralReturnMerchantService extends IService<IntegralReturnMerchant> {

    /**
     * 新增积分返现
     *
     * @param dto
     * @param merchantId
     */
    void add(IntegralReturnMerchantDTO dto, String merchantId);

    /**
     * 编辑积分返现
     *
     * @param dto
     * @param merchantId
     */
    void edit(IntegralReturnMerchantEditDTO dto, String merchantId);

    /**
     * 删除
     *
     * @param returnId
     */
    void delete(String returnId);

    /**
     * 批量删除s
     *
     * @param returnIds
     */
    void deleteBatch(List<String> returnIds);

    /**
     * 下架
     *
     * @param returnId
     */
    void offShelf(String returnId);

    /**
     * 分页查询
     *
     * @param returnId
     * @param name
     * @param status
     * @param pageNum
     * @param pageSize
     * @return
     */
    IPage<IntegralReturnMerchantVO> page(String returnId, String name, Integer status, Integer pageNum, Integer pageSize);

    /**
     * 详情
     *
     * @param returnId
     */
    IntegralReturnMerchantDetailVO detail(String returnId);
}
