package com.fzm.mall.server.admin.order.entity.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 订单中心-订单投诉
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "Complaint对象", description = "订单中心-订单投诉")
public class ComplaintDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "投诉单编号")
    private String complaintId;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "关联订单编号")
    private String orderId;

    @ApiModelProperty(value = "关联订单类型(1->商品订单;2->提货订单)")
    private Integer orderType;

    @ApiModelProperty(value = "投诉描述")
    private String description;

    @ApiModelProperty(value = "投诉单处理状态(1->处理中;2->已完成)")
    private Integer complaintStatus;

    @ApiModelProperty(value = "处理结果")
    private String result;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "处理人编号")
    private String handlerId;

    @ApiModelProperty(value = "附件集合")
    private List<String> attachmentList;

    @ApiModelProperty(value = "投诉时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "用户联系方式")
    private String userPhone;

    @ApiModelProperty(value = "商家名称")
    private String shopName;

    @ApiModelProperty(value = "商家联系方式")
    private String shopContactPhone;

    @ApiModelProperty(value = "处理记录")
    private List<ComplaintHandleLogDTO> handleLogList;
}
