package com.fzm.mall.server.admin.order.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 订单中心-订单投诉
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "Complaint新增对象", description = "订单中心-订单投诉")
public class ComplaintSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String uid;

    @ApiModelProperty(value = "关联订单编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String orderId;

    @ApiModelProperty(value = "关联订单类型(1->商品订单;2->提货订单)", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer orderType;

    @ApiModelProperty(value = "投诉描述", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String description;

    @ApiModelProperty(value = "附件集合")
    private List<String> attachmentList;
}
