package com.fzm.mall.server.admin.order.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 订单中心-订单投诉
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "Complaint更新对象", description = "订单中心-订单投诉")
public class ComplaintUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "投诉单编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String complaintId;

    @ApiModelProperty(value = "处理结果", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String result;

    @ApiModelProperty(value = "备注", required = true)
    private String remark;

    @ApiModelProperty(value = "处理人编号")
    private String handlerId;

    @ApiModelProperty(value = "更改时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
