package com.fzm.mall.server.admin.order.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 订单中心-订单设置
 * </p>
 *
 * @author wulixian
 * @since 2021-03-17
 */
@Data
@ApiModel(value = "Config对象", description = "订单中心-订单设置")
public class ConfigDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "未付款，自动关闭订单时间限制（分）")
    private Long orderCloseLimit;

    @ApiModelProperty(value = "未确认收货，系统自动收货限制（天）")
    private Long goodsReceivedLimit;

    @ApiModelProperty(value = "自动结束交易（天）")
    private Long dealCloseLimit;

    @ApiModelProperty(value = "未评价，系统全自动好评（天）")
    private Long highOpinionLimit;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息创建时间")
    private Long updateTime;
}
