package com.fzm.mall.server.admin.order.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fzm.mall.server.admin.distribution.entity.dto.ExpressItemDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.ParcelCenterGoodsDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户提货表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-18
 */
@Data
@ApiModel(value = "Delivery对象", description = "用户提货表")
public class DeliveryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "提货订单编号")
    private String orderDeliveryId;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "数量")
    private Integer number;

    @ApiModelProperty(value = "提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货，6->交易结束 7 商家驳回，8->退货待签收")
    private Integer deliveryState;

    @ApiModelProperty(value = "快递公司缩写")
    private String expressType;

    @ApiModelProperty(value = "快递公司名称")
    private String expressName;

    @ApiModelProperty(value = "快递单号")
    private String expressNo;

    @ApiModelProperty(value = "是否删除，0->否，1->是")
    private Boolean isDelete;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    private Long updateTime;

    @ApiModelProperty(value = "订单商品集合")
    private List<ParcelCenterGoodsDTO> goodsList;

    @ApiModelProperty(value = "提货订单操作记录")
    private List<DeliveryLogDTO> logList;

    @ApiModelProperty(value = "快递物流详情集合")
    private List<ExpressItemDTO> expressDetailList;

    @ApiModelProperty(value = "退货理由")
    private String returnReason;

    @ApiModelProperty(value = "退货理由-图片集合")
    private List<String> returnImgList;
}
