package com.fzm.mall.server.admin.order.entity.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 用户提货表-提货操作记录
 * </p>
 *
 * @author wulixian
 * @since 2021-03-18
 */
@Data
@ApiModel(value = "DeliveryLog对象", description = "用户提货表-提货操作记录")
public class DeliveryLogDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    private Long id;

    @ApiModelProperty(value = "提货订单编号")
    private String orderDeliveryId;

    @ApiModelProperty(value = "提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货")
    private Integer deliveryState;

    @ApiModelProperty(value = "操作信息")
    private String operation;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "用户名称")
    private String uName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    private Long updateTime;
}
