package com.fzm.mall.server.admin.order.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 支付订单结果表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_pay_record")
@ApiModel(value="PayRecord对象", description="支付订单结果表")
public class PayRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "支付编号")
    private String payId;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "支付状态，1->成功，2->失败，3->支付中")
    private Integer state;

    @ApiModelProperty(value = "总价")
    private BigDecimal total;

    @ApiModelProperty(value = "支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty(value = "支付时间")
    private Long payTime;

    @ApiModelProperty(value = "支付方式，1->支付宝，2->微信，3->ccny")
    private Integer payType;

    @ApiModelProperty(value = "还款形式， 1->付首款， 2->付尾款		")
    private Integer payForm;

    @ApiModelProperty(value = "订单号")
    private String oidsJson;

    @ApiModelProperty(value = "是否可直接提货，1->可以,2->不可以")
    private Integer canDelivery;

    @ApiModelProperty(value = "可提货列表")
    private String deliveryJson;

    @ApiModelProperty(value = "失败原因")
    private String error;

    @ApiModelProperty(value = "支付币种")
    private Integer currency;

    @ApiModelProperty(value = "支付币种行情")
    private BigDecimal currencyQuotation;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;
}
