package com.fzm.mall.server.admin.order.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.order.entity.dto.OrderDTO;
import com.fzm.mall.server.admin.order.model.Order;

import java.math.BigDecimal;

/**
 * <p>
 * 用户购物订单表 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-19
 */
public interface IOrderService extends IService<Order> {

    /**
     * 修改订单应付金额
     *
     * @param adminId
     * @param oid
     * @param consultDiscountType
     * @param consultDiscountAmount
     * @param updateTime
     */
    void consultDiscount(String adminId, String oid, Integer consultDiscountType, BigDecimal consultDiscountAmount, Long updateTime);

    /**
     * 订单退货审核
     *
     * @param adminId
     * @param oid
     * @param isApproved
     * @param remark
     * @param updateTime
     */
    void refundExamine(String adminId, String oid, Boolean isApproved, String remark, Long updateTime);

    OrderDTO read(String oid);

    IPage<OrderDTO> page(Page<OrderDTO> page, String uid, String oid, Integer orderState, String merchantId);

}
