package com.fzm.mall.server.admin.order.service.impl;

import com.fzm.mall.server.admin.order.model.DeliveryLog;
import com.fzm.mall.server.admin.order.mapper.DeliveryLogMapper;
import com.fzm.mall.server.admin.order.service.IDeliveryLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 用户提货表-提货操作记录 服务实现类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-18
 */
@Service
@Transactional
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class DeliveryLogServiceImpl extends ServiceImpl<DeliveryLogMapper, DeliveryLog> implements IDeliveryLogService {

    private final DeliveryLogMapper deliveryLogMapper;

    @Override
    public List<DeliveryLog> listAll(String orderDeliveryId) {
        return deliveryLogMapper.listAll(orderDeliveryId);
    }
}
