package com.fzm.mall.server.admin.order.service.impl;

import com.fzm.mall.server.admin.order.model.OrderLog;
import com.fzm.mall.server.admin.order.mapper.LogMapper;
import com.fzm.mall.server.admin.order.service.ILogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 用户购物订单表-订单操作记录 服务实现类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-19
 */
@Service
@Transactional
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class LogServiceImpl extends ServiceImpl<LogMapper, OrderLog> implements ILogService {

    private final LogMapper logMapper;

    @Override
    public List<OrderLog> listAll(String oid) {
        return logMapper.listAll(oid);
    }
}
