package com.fzm.mall.server.admin.shop.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 店铺中心-店铺导航管理
 * </p>
 *
 * @author wulixian
 * @since 2021-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "Navigation对象", description = "店铺中心-店铺导航管理")
public class NavigationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "导航编号")
    private String navigationId;

    @ApiModelProperty(value = "店铺编号")
    private String shopId;

    @ApiModelProperty(value = "导航名称")
    private String navigationName;

    @ApiModelProperty(value = "导航图标url")
    private String image;

    @ApiModelProperty(value = "导航状态(0->已删除;1->有效)")
    private Integer status;

    @ApiModelProperty(value = "显示顺序")
    private Integer displayOrder;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "产品列表")
    private List<NavigationGoodsDTO> goodsList;
}
