package com.fzm.mall.server.admin.shop.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 店铺中心-店铺导航管理
 * </p>
 *
 * @author wulixian
 * @since 2021-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "Navigation更新对象", description = "店铺中心-店铺导航管理")
public class NavigationUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "导航编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String navigationId;

    @ApiModelProperty(value = "店铺编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String shopId;

    @ApiModelProperty(value = "导航名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String navigationName;

    @ApiModelProperty(value = "导航图标url", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String image;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer displayOrder;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "信息更新时间, required = true")
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;

    @ApiModelProperty(value = "产品列表")
    private List<NavigationGoodsDTO> goodsList;
}
