package com.fzm.mall.server.admin.shop.entity.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 店铺中心-店铺
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "Shop对象", description = "店铺中心-店铺")
public class ShopDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "店铺编号")
    private String shopId;

    @ApiModelProperty(value = "店铺名称")
    private String shopName;

    @ApiModelProperty(value = "店铺介绍")
    private String introduction;

    @ApiModelProperty(value = "店铺联系人")
    private String contact;

    @ApiModelProperty(value = "联系方式")
    private String contactPhone;

    @ApiModelProperty(value = "店铺联系地址")
    private String shopAddress;

    @ApiModelProperty(value = "店铺头像url")
    private String shopImage;

    @ApiModelProperty(value = "店铺状态(1->有效;2->无效)")
    private Integer status;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;
}
