package com.fzm.mall.server.admin.shop.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 店铺中心-店铺
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "Shop更新对象", description = "店铺中心-店铺")
public class ShopUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "店铺编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String shopId;

    @ApiModelProperty(value = "商户号")
    private String merchantId;

    @ApiModelProperty(value = "店铺名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String shopName;

    @ApiModelProperty(value = "店铺介绍", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String introduction;

    @ApiModelProperty(value = "店铺联系人", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String contact;

    @ApiModelProperty(value = "联系方式", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String contactPhone;

    @ApiModelProperty(value = "店铺联系地址", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String shopAddress;

    @ApiModelProperty(value = "店铺头像url", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String shopImage;

    @ApiModelProperty(value = "信息更新时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;

    private String adminId;
}
