package com.fzm.mall.server.admin.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 系统中心-区块链管理
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysBlockChainManagement对象", description = "系统中心-区块链管理")
public class SysBlockChainManagementDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "区块链编号")
    private String blockChainId;

    @ApiModelProperty(value = "区块链名称")
    private String blockChainName;

    @ApiModelProperty(value = "是否可用(0--已被删除 1--正常 2->停用)")
    private Integer status;

    @ApiModelProperty(value = "区块链rpc请求ip")
    private String ip;

    @ApiModelProperty(value = "区块链rpc请求端口")
    private String port;

    @ApiModelProperty(value = "区块链rpc请求ip")
    private String title;

    @ApiModelProperty(value = "初始区块高度")
    private Integer startHeight;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;

    @ApiModelProperty(value = "通证集合")
    private List<String> passIdList;

    private List<SysBlockChainPassDTO> passList;
}
