package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 系统中心-区块链管理
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysBlockChainManagement新增对象", description = "系统中心-区块链管理")
public class SysBlockChainManagementSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区块链名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String blockChainName;

    @ApiModelProperty(value = "区块链rpc请求ip", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String ip;

    @ApiModelProperty(value = "区块链rpc请求端口", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String port;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "初始区块高度", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer startHeight;

    @ApiModelProperty(value = "备注")
    private String remark;
}
