package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 系统中心-区块链管理-通证
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysBlockChainPass新增对象", description = "系统中心-区块链管理-通证")
public class SysBlockChainPassSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区块链编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String blockChainId;

    @ApiModelProperty(value = "标识", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String passIdentification;

    @ApiModelProperty(value = "名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;
}
