package com.fzm.mall.server.admin.system.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 系统配置表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysConfig对象", description = "系统配置表")
public class SysConfigDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "配置编号")
    private String configId;

    @ApiModelProperty(value = "key")
    private String dictKey;

    @ApiModelProperty(value = "值")
    private String dictValue;

    @ApiModelProperty(value = "配置所属模块（暂时没意义）")
    private Integer type;

    @ApiModelProperty(value = "备注说明")
    private String comm;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "是否可用(0--否 1--是 )")
    private Boolean validState;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
