package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 系统配置表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysConfig新增对象", description = "系统配置表")
public class SysConfigSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "key", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String dictKey;

    @ApiModelProperty(value = "值", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String dictValue;

    @ApiModelProperty(value = "备注说明", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String comm;
}
