package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 系统中心-常见问题-导航
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysNavigation编辑对象", description = "系统中心-常见问题-导航")
public class SysNavigationUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "导航编号", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String navigationId;

    @ApiModelProperty(value = "导航名称", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String navigationName;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;

    @ApiModelProperty(value = "信息修改时间", required = true)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long updateTime;
}
