package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 系统中心-常见问题
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysQuestion新增对象", description = "系统中心-常见问题")
public class SysQuestionSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "导航编号")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String navigationId;

    @ApiModelProperty(value = "问题")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String question;

    @ApiModelProperty(value = "答案")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String answer;

    @ApiModelProperty(value = "显示顺序")
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Long displayOrder;

}
