package com.fzm.mall.server.admin.system.entity.dto;

import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 系统中心-敏感词
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysSensitiveWords新增对象", description = "系统中心-敏感词")
public class SysSensitiveWordsSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键词", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String sensitiveWords;

    @ApiModelProperty(value = "备注说明", required = true)
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String comm;
}
