package com.fzm.mall.server.admin.user_center.entity.dto;

import com.fzm.mall.server.admin.annotation.CustomType;
import com.fzm.mall.server.admin.constant.MALLGlobalConfig;
import com.fzm.mall.server.admin.constant.MallResponseError;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangp
 * @date 2021/3/23 11:25
 * @description 用户锁定/解锁
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "UserLockDTO对象", description = "用户锁定解锁")
public class UserLockDTO {

    @ApiModelProperty("用户")
    @NotBlank(message = MallResponseError.NULL_PARAM_ERROR)
    private String uid;

    @ApiModelProperty("锁定/解锁")
    @CustomType(pType = MALLGlobalConfig.USER_LOCK, message = MallResponseError.PARAM_ERROR)
    @NotNull(message = MallResponseError.NULL_PARAM_ERROR)
    private Integer lock;

}
