package com.fzm.mall.server.admin.user_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/3/1 14:33
 * @description 商户设置
 * @since JDK 1.8
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "MerchantConfig对象", description = "")
@TableName("merchant_config")
public class MerchantConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "等级：	1--基础商户	2--高级商户	3--钻石商户")
    private Integer level;

    @ApiModelProperty(value = "会员费（元）")
    private BigDecimal membershipFee;

    @ApiModelProperty(value = "平台服务费（元/年）")
    private BigDecimal serviceFee;

    @ApiModelProperty(value = "平台抽成比例（%）")
    private BigDecimal drawProportion;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
