package com.fzm.mall.server.admin.user_center.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wangp
 * @date 2021/3/1 14:33
 * @description 用户信息表
 * @since JDK 1.8
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "User对象", description = "用户信息表")
@TableName("user")
public class User implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户唯一标识")
    private String uid;

    @ApiModelProperty(value = "token")
    private String token;

    @ApiModelProperty(value = "状态 1正常  2冻结")
    private Integer status;

    @ApiModelProperty(value = "登录密码")
    private String loginPassword;

    @ApiModelProperty(value = "区域")
    private String area;

    @ApiModelProperty(value = "用户手机号码")
    private String phone;

    @ApiModelProperty(value = "address")
    private String address;

    @ApiModelProperty(value = "用户对外展示唯一id")
    private String userId;

    @ApiModelProperty(value = "用户头像地址")
    private String headUrl;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "币钱包账号")
    private String biAccount;

    @ApiModelProperty(value = "支付宝账号")
    private String aliAccount;

    @ApiModelProperty(value = "微信账号")
    private String wxAccount;

    @ApiModelProperty(value = "邀请码")
    private String inviteCode;

    @ApiModelProperty(value = "注册码")
    private String registerCode;

    @ApiModelProperty(value = "最新登录时间")
    private Long lastLogin;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
