package com.fzm.mall.server.admin.user_center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.user_center.entity.dto.MerchantConfigDTO;
import com.fzm.mall.server.admin.user_center.entity.vo.MerchantConfigVO;
import com.fzm.mall.server.admin.user_center.model.MerchantConfig;

import java.util.List;

/**
 * @author wangp
 * @date 2021/3/24 14:33
 * @description 商户设置 服务类
 * @since JDK 1.8
 */
public interface IMerchantConfigService extends IService<MerchantConfig> {

    /**
     * 初始化
     *
     * @param level 商户等级
     */
    void init(Integer level);

    /**
     * 编辑
     *
     * @param merchantConfigDTOList 商户设置信息
     */
    void edit(List<MerchantConfigDTO> merchantConfigDTOList);

    /**
     * 查询商户设置列表
     */
    List<MerchantConfigVO> listSelfDefine();

    /**
     * 检查商户设置是否存在
     *
     * @param level 商户等级
     * @return T F
     */
    boolean merchantSettingsExist(Integer level);
}
