package com.fzm.mall.server.admin.user_center.service;

import com.fzm.mall.server.admin.user_center.entity.dto.MemberConfigDTO;
import com.fzm.mall.server.admin.user_center.entity.vo.MemberConfigVO;
import com.fzm.mall.server.admin.user_center.model.SysMember;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wangp
 * @date 2021/3/22 14:33
 * @description 会员配置表 服务类
 * @since JDK 1.8
 */
public interface ISysMemberService extends IService<SysMember> {

    /**
     * 初始化
     *
     * @param level 会员等级
     */
    void init(Integer level);

    /**
     * 编辑
     *
     * @param memberConfigDTOList 会员设置信息
     */
    void edit(List<MemberConfigDTO> memberConfigDTOList);

    /**
     * 查询商户设置列表
     */
    List<MemberConfigVO> listSelfDefine();

    /**
     * 检查会员设置是否存在
     *
     * @param level 会员等级
     * @return T F
     */
    boolean memberSettingsExist(Integer level);
}
