package com.fzm.mall.server.front.asset.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author tdz
 * @date 2021/05/26 17:15
 * @description 资产转账
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "AssetTranDTO", description = "资产转账")
public class AssetTranDTO {
    @ApiModelProperty("转账地址")
    private String otherAddress;

    @ApiModelProperty("转账数量")
    private BigDecimal amount;

    @ApiModelProperty("币名称")
    private String coin;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("是否走链 true走  false不走")
    private Boolean isChain;

    public AssetTranDTO() {
    }
    @ApiModelProperty(value = "商品coin")
    private String goodsCoin;
}
