package com.fzm.mall.server.front.asset.model.dto;

import com.fzm.mall.server.front.asset.model.dto.OrderMainListDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("订单参数")
public class OrderMainDTO {
    @ApiModelProperty("订单数组参数")
    private List<OrderMainListDTO> orders;
    @ApiModelProperty("是否是购物车下单，0->否，1->是，不传或传错，默认为0")
    private String type;
    @ApiModelProperty("是否直接提货，0->否，1->是，不传或传错，默认为0")
    private String delivery;
    @ApiModelProperty("提货人姓名")
    private String uname;
    @ApiModelProperty("提货人联系方式")
    private String phone;
    @ApiModelProperty("提货地址")
    private String address;

    @Override
    public String toString() {
        return "购物车下单: " + type +  ", 直接提货: " + delivery + ", 订单列表: " + orders;
    }
}
