package com.fzm.mall.server.front.asset.model.dto;

import com.fzm.mall.server.front.asset.model.dto.CaptchaDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Getter
@Setter
@ToString
@ApiModel("支付订单参数")
public class PayOrderDTO extends CaptchaDTO {
    @ApiModelProperty("订单编号数组")
    private List<String> oids;

    @ApiModelProperty("支付币种")
    private String coin;
    @ApiModelProperty("区块链类型，0->公链，1->平行链")
    private String block;
    @ApiModelProperty("是否是token，0->否，1->是")
    private String isToken;

    @ApiModelProperty("支付方式，0->上链购，1->币钱包，2->去中心化钱包，默认为0")
    private String payType;

    @ApiModelProperty("上链购：验证方式，0->验证码，1->交易密码")
    private String type;
    @ApiModelProperty("币钱包：币钱包的token")
    private String bqbToken;

    public void setCoin(String coin) {
        if (StringUtils.isNotBlank(coin)) {
            coin = coin.toUpperCase();
        }
        this.coin = coin;
    }
}
