package com.fzm.mall.server.front.asset.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 用户资产-转赠
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "UserAssetTransferRecord新增对象", description = "用户资产-转赠")
public class UserAssetTransferRecordSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "商品编号", required = true)
    @NotBlank(message = "param can not be null")
    private String goodsId;

    @ApiModelProperty(value = "规格编号", required = true)
    @NotBlank(message = "param can not be null")
    private String skuId;

    @ApiModelProperty(value = "资产名称 如:btc、金币", required = true)
    @NotBlank(message = "param can not be null")
    private String coin;

    @ApiModelProperty(value = "转赠地址", required = true)
    @NotBlank(message = "param can not be null")
    private String toAddress;

    @ApiModelProperty(value = "转赠数量", required = true)
    @NotNull(message = "param can not be null")
    private Integer num;

    @ApiModelProperty(value = "备注", required = true)
    @NotBlank(message = "param can not be null")
    private String remark;
}
