package com.fzm.mall.server.front.asset.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户资产-转让
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "UserAssetTransfer新增对象", description = "用户资产-转让")
public class UserAssetTransferSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "资产名称 如:btc、金币", required = true)
    @NotBlank(message = "param can not be null")
    private String coin;

    @ApiModelProperty(value = "转让数量", required = true)
    @NotNull(message = "param can not be null")
    private Integer number;

    @ApiModelProperty(value = "转让价格", required = true)
    @NotNull(message = "param can not be null")
    private BigDecimal price;

    @ApiModelProperty(value = "转让方式（1->单价；2->打包价）", required = true)
    @NotNull(message = "param can not be null")
    private Integer type;

    @ApiModelProperty(value = "备注", required = true)
    @NotBlank(message = "param can not be null")
    private String note;

    @ApiModelProperty(value = "商品编号", required = true)
    @NotBlank(message = "param can not be null")
    private String goodsId;

    @ApiModelProperty(value = "规格编号", required = true)
    @NotBlank(message = "param can not be null")
    private String skuId;

}
