package com.fzm.mall.server.front.asset.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户资产-转让
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "UserAssetTransfer编辑对象", description = "用户资产-转让")
public class UserAssetTransferUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "转让编号")
    private String tranId;

    @ApiModelProperty(value = "转让价格")
    private BigDecimal price;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;
}
