package com.fzm.mall.server.front.asset.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商铺信息")
public class BusinessVO {
    @ApiModelProperty("用户编号")
    private String uid;
    @ApiModelProperty("商铺名称")
    private String name;
    @ApiModelProperty("商铺联系人")
    private String contact;
    @ApiModelProperty("商铺联系手机号")
    private String phone;
    @ApiModelProperty("商铺联系地址")
    private String address;
    @ApiModelProperty("商铺联系图片")
    private String image;
    @ApiModelProperty("商铺币种前缀")
    private String prefix;
    @ApiModelProperty("商铺积分名称，空表示未发行积分")
    private String point;
    @ApiModelProperty("身份证正面")
    private String front;
    @ApiModelProperty("身份证背面")
    private String back;
    @ApiModelProperty("执照")
    private String license;

    public void setPrefix(String prefix) {
        if (StringUtils.isNotBlank(prefix)) {
            prefix = prefix.toUpperCase();
        }
        this.prefix = prefix;
    }
}
