package com.fzm.mall.server.front.asset.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 用户资产-转让
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "GoodsTransVO对象", description = "转让市场商品")
public class GoodsTransVO implements Serializable {

    private static final long serialVersionUID = 1L;
    private long page;
    private long size;
    private String keyword;
    private String categoryId;
    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品缩略图")
    private String thumb;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "转让编号")
    private String tranId;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String saleThumb;

    @ApiModelProperty(value = "资产名称 如:btc、金币")
    private String coin;

    @ApiModelProperty(value = "转让数量")
    private Integer number;

    @ApiModelProperty(value = "转让价格")
    private BigDecimal price;

    @ApiModelProperty(value = "转让方式（1->单价；2->打包价）")
    private Integer type;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "规格编号")
    private String skuId;

    @ApiModelProperty(value = "商品通证token类型(1->自动生成Token 2->外部既有Token)")
    private Integer coinType;

    @ApiModelProperty(value = "状态 1->可用，2->已撤销")
    private Integer status;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;
}
