package com.fzm.mall.server.front.asset.model.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author fzm
 * @since 2021-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TranOrder对象", description="")
public class TranOrderVO implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final Integer TRAN_ORDER_STATUS_SUCCESS = 1;

    @ApiModelProperty(value = "转让订单表主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "对应转让id")
    private String tranId;

    @ApiModelProperty(value = "订单id")
    private String oid;

    @ApiModelProperty(value = "商品sku_id")
    private String skuId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "数量")
    private Integer number;

    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @ApiModelProperty(value = "收货人")
    private String uname;

    @ApiModelProperty(value = "收货人手机号")
    private String uphone;

    @ApiModelProperty(value = "收货人地址")
    private String uaddress;

    @ApiModelProperty(value = "状态 0：待支付  1：已支付  2：超时关闭  3 ：取消支付")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "收货人链上地址")
    private String uChainAddress;
}
