package com.fzm.mall.server.front.asset.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 用户资产-转赠
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "UserAssetTransferRecord对象", description = "用户资产-转赠")
public class UserAssetTransferRecordVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户资产表自增id")
    private Long id;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "规格编号")
    private String skuId;

    @ApiModelProperty(value = "转赠记录编号")
    private String transferRecordId;

    @ApiModelProperty(value = "转赠地址")
    private String toAddress;

    @ApiModelProperty(value = "转赠数量")
    private Integer num;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态 1->成功，2->失败")
    private Integer status;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;
}
