package com.fzm.mall.server.front.asset.model.vo.asset;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户资产变更记录表
 * </p>
 *
 * @author fzm
 * @since 2021-05-08
 */
@Data
public class UserAssetRecordVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户资产变更表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String page;
    private String size;
    @ApiModelProperty(value = "流水号")
    private String flowId;

    @ApiModelProperty(value = "资产来源(如果是RMB资产，则对方为用户编号，如果是数字资产，则为对方的数字货币地址；如果是平台，则用“平台”即可")
    private String otherSide;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "变更资产名称（如:btc、金币）")
    private String coin;

    @ApiModelProperty(value = "全部传0 ,1、支付宝转账-转入 2、支付宝转账-转出 3、微信转账-转入 4、微信转账-转出 5、数字资产转帐-转入 6、数字资产转账-转出 7、充值 8、提现 9、支付 10、退款 11、销售 12、发行 13、增发 14、回收 15、减发 16、提币 17.扣除")
    private Integer type;

    @ApiModelProperty(value = "变更资产金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "流水状态（1.失败 2.成功）")
    private Integer status;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "支出pay  收入income  提货delivery")
    private String payment;

    @ApiModelProperty(value = "skuId")
    private String skuId;
}
