package com.fzm.mall.server.front.asset.model.vo.coin;

import com.fzm.mall.server.front.asset.model.vo.coin.CoinVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Getter
@Setter
@ApiModel("用户提币申请信息")
public class CoinOutVO extends CoinVO {
    @ApiModelProperty("申请编号")
    private String aid;
    @ApiModelProperty("用户编号")
    private String uid;
    @ApiModelProperty("提币地址")
    private String address;
    @ApiModelProperty("币种名字")
    private String name;
    @ApiModelProperty("提币数量")
    private String amount;
    @ApiModelProperty("手续费区块链类型，0->公链，1->平行链")
    private Integer feeBlock;
    @ApiModelProperty("手续费是否是token，0->否，1->是")
    private Integer feeIsToken;
    @ApiModelProperty("手续费币种名称")
    private String feeCoin;
    @ApiModelProperty("提币手续费")
    private String fee;
    @ApiModelProperty("申请时间")
    private Long createTime;
    @ApiModelProperty("审核结果，0->待审核，1->通过，2->不通过，3->已撤销，4->自动提币")
    private Integer verifyState;
    @ApiModelProperty("区块链状态，0->待上链，1->通过，2->未通过")
    private Integer chainState;
    @ApiModelProperty("滨江状态，0->待提交，1->通过，2->不通过，3->正在打币")
    private Integer activeState;
    @ApiModelProperty("滨江交易哈希")
    private String txId;
    @ApiModelProperty("删除状态，0->未删除，1->删除")
    private Integer deleteState;
    @ApiModelProperty("审核员编号")
    private String vid;
    @ApiModelProperty("审核员时间")
    private Long vtime;
    @ApiModelProperty("审核备注")
    private String vnote;
}
