package com.fzm.mall.server.front.asset.model.vo.good;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/03/04 14:51
 */
@Data
@ApiModel("商品首页搜索信息")
public class GoodMainVO {
    @ApiModelProperty("商品编号")
    private String gid;
    @ApiModelProperty("商户编号")
    private String sid;
    @ApiModelProperty("商户名称")
    private String business;
    @ApiModelProperty("商品名称")
    private String name;
    @ApiModelProperty("商品缩略图")
    private String thumb;
    @ApiModelProperty("商品价格，所有规格的最低价")
    private String amount;
    @ApiModelProperty("商品原价，所有规格的最低价的原价")
    private String price;
    @ApiModelProperty("商品销量")
    private Integer sales;
    @ApiModelProperty("商品收藏数")
    private Integer collect;
    @ApiModelProperty("商品浏览数")
    private Integer view;
    @ApiModelProperty("商品点赞数")
    private Integer zan;
    @ApiModelProperty("支付方式：0->现货，1->预售")
    private Integer payType;
    @ApiModelProperty("预售模式：0->全款预售，1->定金预售")
    private Integer preMode;
    @ApiModelProperty("定金")
    private String subsist;
    @ApiModelProperty("预售开始时间")
    private Long startTime;
    @ApiModelProperty("预售结束时间")
    private Long endTime;
    @ApiModelProperty("提货开始时间")
    private Long tstartTime;
    @ApiModelProperty("提货结束时间")
    private Long tendTime;
    @ApiModelProperty("上架时间")
    private Long activeTime;
    @ApiModelProperty("物流方式：0->包邮，1->不包邮")
    private Integer postType;
    @ApiModelProperty("首件个数")
    private Integer firstNum;
    @ApiModelProperty("首件运费")
    private String firstAmount;
    @ApiModelProperty("续件个数")
    private Integer secondNum;
    @ApiModelProperty("续件运费")
    private String secondAmount;
    @ApiModelProperty("是否接受BTY：0->不接受，1->接受")
    private Integer acceptBty;
}
