package com.fzm.mall.server.front.asset.model.vo.good;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商品其他信息")
public class GoodOtherVO {
    @ApiModelProperty("商品价格，所有规格的最低价")
    private String amount;
    @ApiModelProperty("商品原价，所有规格的最低价的原价")
    private String price;
    @ApiModelProperty("支付方式：0->现货，1->预售")
    private Integer payType;
    @ApiModelProperty("预售模式：0->全款预售，1->定金预售")
    private Integer preMode;
    @ApiModelProperty("定金")
    private String subsist;
    @ApiModelProperty("预售开始时间")
    private Long startTime;
    @ApiModelProperty("预售结束时间")
    private Long endTime;
    @ApiModelProperty("提货开始时间")
    private Long tstartTime;
    @ApiModelProperty("提货结束时间")
    private Long tendTime;
    @ApiModelProperty("上架时间")
    private Long activeTime;
    @ApiModelProperty("计数方式：0->拍下减库存：存在恶拍风险，1->付款减库存：存在超卖风险")
    private Integer countType;
    @ApiModelProperty("物流方式：0->包邮，1->不包邮")
    private Integer postType;
    @ApiModelProperty("首件个数")
    private Integer firstNum;
    @ApiModelProperty("首件运费")
    private String firstAmount;
    @ApiModelProperty("续件个数")
    private Integer secondNum;
    @ApiModelProperty("续件运费")
    private String secondAmount;
    @ApiModelProperty("是否接受BTY：0->不接受，1->接受")
    private Integer acceptBty;
    @ApiModelProperty("是否是虚拟商品：0->不是，1->是，默认不是")
    private Integer virtualType;
}
