package com.fzm.mall.server.front.asset.model.vo.good;

import com.fzm.mall.server.front.goods.model.GoodSkuProp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商品销售信息")
public class GoodSkuVO {
    private Long id;
    @ApiModelProperty("商品编号")
    private String goodsId;
    @ApiModelProperty("商家名称")
    private String enterpriseName;
    @ApiModelProperty("商家编号")
    private String merchantId;
    @ApiModelProperty("sku编号")
    private String skuId;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("描述")
    private String description;
    @ApiModelProperty("价格")
    private String amount;
    @ApiModelProperty("数量")
    private Integer number;
    @ApiModelProperty("库存")
    private Integer stock;
    @ApiModelProperty("状态 0: 删除  1: 有效  2: 发行失败")
    private Integer status;
    @ApiModelProperty("发行错误信息")
    private String errMsg;
    @ApiModelProperty("发行量")
    private Integer circulation;
    @ApiModelProperty("规格缩略图")
    private String thumb;
    @ApiModelProperty("商品图")
    private String picture;
    @ApiModelProperty("规格图片列表")
    private String imgList;
    @ApiModelProperty("币名称")
    private String coinName;
    @ApiModelProperty("重量")
    private BigDecimal weight;
    @ApiModelProperty("原价")
    private String originalPrice;
    private Long createTime;
    private Long updateTime;
    @ApiModelProperty("属性信息")
    private List<GoodSkuProp> goodSkuProperties;
}
