package com.fzm.mall.server.front.asset.model.vo.order;

import com.fzm.mall.server.front.goods.model.PreSale;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("订单详细信息")
public class OrderDetailVO {
    @ApiModelProperty("订单索引")
    private Integer index;
    @ApiModelProperty("商品编号")
    private String goodsId;
    @ApiModelProperty("商品sku编号")
    private String skuId;
    @ApiModelProperty("商品名称")
    private String name;
    @ApiModelProperty("商品币种")
    private String coin;
    @ApiModelProperty("商品单价")
    private BigDecimal amount;
    @ApiModelProperty("购买数量")
    private Integer number;
    @ApiModelProperty("积分类型")
    private String bpName;
    @ApiModelProperty("积分数量")
    private String bpNumber;
    @ApiModelProperty(value = "卖家评价状态，0->未评价，1->已评价")
    private Integer sellerState;
    @ApiModelProperty(value = "买家评价状态，0->未评价，1->已评价 2->已追评")
    private Integer buyerState;
    @ApiModelProperty("商品缩略图")
    private String thumb;
    @ApiModelProperty("评论id")
    private String commentId;
    @ApiModelProperty("sku属性")
    private List<Map<String,Object>> propList;
    @ApiModelProperty("类型  1:普通   2:预售   3:竞拍  5.打包  6.NFT")
    private Integer type;
    @ApiModelProperty("预售商品信息")
    private PreSale preSale;
}
