package com.fzm.mall.server.front.distribution.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 物流中心-运费模板-指定地区运费规则
 * </p>
 *
 * @author fzm
 * @since 2021-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("distribution_template_item")
@ApiModel(value="TemplateItem对象", description="物流中心-运费模板-指定地区运费规则")
public class TemplateItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运费模板id")
    private String templateId;

    @ApiModelProperty(value = "指定地区运费规则id")
    private String templateItemId;

    @ApiModelProperty(value = "计价方式（1-按件数,2-按重量,3-满金额包邮,4-满数量包邮,5-不支持下单）")
    private Boolean pricingType;

    @ApiModelProperty(value = "基数（件或KG）")
    private BigDecimal baseNumber;

    @ApiModelProperty(value = "基数对应的费用")
    private BigDecimal baseAmount;

    @ApiModelProperty(value = "续件数（件或KG）")
    private BigDecimal addNumber;

    @ApiModelProperty(value = "续件单价")
    private BigDecimal addCost;

    @ApiModelProperty(value = "满足包邮的金额或件数")
    private BigDecimal freeShippingAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "运送地区")
    private String deliveryArea;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
