package com.fzm.mall.server.front.goods.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品评论表（用于对商品的评论）
 * </p>
 *
 * @author fzm
 * @since 2021-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_comment")
@ApiModel(value="Comment对象", description="商品评论表（用于对商品的评论）")
public class Comment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "评论id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品sku编号")
    private String skuId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "提货订单编号")
    private String oid;

    @ApiModelProperty(value = "评论人id")
    private String uid;

    @ApiModelProperty(value = "商品评价：0：好评，1：中评，2：差评")
    private Integer evaluate;

    @ApiModelProperty(value = "评价详情")
    private String content;

    @ApiModelProperty(value = "图片列表")
    private String imagesJson;

    @ApiModelProperty(value = "视频")
    private String video;

    @ApiModelProperty(value = "店铺评价分")
    private BigDecimal businessEvaluate;

    @ApiModelProperty(value = "点赞数量")
    private Integer likeNum;

    @ApiModelProperty(value = "举报次数")
    private Integer tipOffNum;

    @ApiModelProperty(value = "浏览次数")
    private Integer views;

    @ApiModelProperty(value = "是否追评过，0：否，1：是")
    private Integer isAppend;

    @ApiModelProperty(value = "是否可用（0：不可用，1：可用）")
    private Integer isValid;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
