package com.fzm.mall.server.front.goods.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品其他信息表
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_sale")
@ApiModel(value="Sale对象", description="商品其他信息表")
public class GoodSale implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品最低价格")
    private BigDecimal amount;

    @ApiModelProperty(value = "商品最低原价")
    private BigDecimal price;

    @ApiModelProperty(value = "支付方式：0->现货，1->预售")
    private Integer payType;

    @ApiModelProperty(value = "结算币种，ccny/积分等，如果支持多个，用逗号间隔，例如：ccny,dhy")
    private String coinType;

    @ApiModelProperty(value = "是否是虚拟商品：0->不是，1->是")
    private Integer virtualType;

    @ApiModelProperty(value = "是否接受BTY：0->不接受，1->接受")
    private Integer acceptBty;

    @ApiModelProperty(value = "预售模式：0->全款预售，1->定金预售")
    private Integer preMode;

    @ApiModelProperty(value = "定金")
    private BigDecimal subsist;

    @ApiModelProperty(value = "预售开始时间（unix时间戳，秒）")
    private Long startTime;

    @ApiModelProperty(value = "预售结束时间（unix时间戳，秒）")
    private Long endTime;

    @ApiModelProperty(value = "提货开始时间（unix时间戳，秒）")
    private Long tStartTime;

    @ApiModelProperty(value = "提货结束时间（unix时间戳，秒）")
    private Long tEndTime;

    @ApiModelProperty(value = "上线时间")
    private Long activeTime;

    @ApiModelProperty(value = "计数方式：0->拍下减库存：存在恶拍风险，1->付款减库存：存在超卖风险")
    private Integer countType;

    @ApiModelProperty(value = "物流方式：0->包邮，1->不包邮")
    private Integer postType;

    @ApiModelProperty(value = "首件个数")
    private Integer firstNum;

    @ApiModelProperty(value = "首件费用")
    private BigDecimal firstAmount;

    @ApiModelProperty(value = "续件个数")
    private Integer secondNum;

    @ApiModelProperty(value = "续件费用")
    private BigDecimal secondAmount;

    @ApiModelProperty(value = "不包邮省份编号")
    private String noPostProvince;

    @ApiModelProperty(value = "不包邮省份邮费")
    private BigDecimal noPostFee;


}
