package com.fzm.mall.server.front.goods.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品促销
 * </p>
 *
 * @author fzm
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="MarketingPromotion对象", description="商品促销")
public class MarketingPromotion implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "类型  1:会员优惠  2:满减  3:满折  4:直降  5: 折扣  ")
    private Integer type;

    @ApiModelProperty(value = "促销名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String describe;

    @ApiModelProperty(value = "促销开始时间")
    private Long startTime;

    @ApiModelProperty(value = "促销结束时间")
    private Long endTime;

    @ApiModelProperty(value = "状态 0: 删除  1: 有效   2: 暂停")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
