package com.fzm.mall.server.front.goods.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-banner
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="OprationBanner对象", description="运营中心-banner")
public class OprationBanner implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-banner编号")
    private String operationBannerId;

    @ApiModelProperty(value = "名称")
    private String bannerName;

    @ApiModelProperty(value = "海报url")
    private String bannerImage;

    @ApiModelProperty(value = "类型(1->产品；2->活动)")
    private Integer bannerType;

    @ApiModelProperty(value = "活动链接")
    private String url;

    @ApiModelProperty(value = "产品编号")
    private String number;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
