package com.fzm.mall.server.front.goods.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-首页楼层
 * </p>
 *
 * @author fzm
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="OprationFloor对象", description="运营中心-首页楼层")
public class OprationFloor implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-楼层编号")
    private String operationFloorId;

    @ApiModelProperty(value = "楼层名称")
    private String name;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
