package com.fzm.mall.server.front.goods.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 运营中心-功能区
 * </p>
 *
 * @author fzm
 * @since 2021-03-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="OprationFunction对象", description="运营中心-功能区")
public class OprationFunction implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-banner编号")
    private String operationFunctionId;

    @ApiModelProperty(value = "名称")
    private String functionName;

    @ApiModelProperty(value = "图标url")
    private String functionImage;

    @ApiModelProperty(value = "详情链接")
    private String url;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    private String param;


}
