package com.fzm.mall.server.front.goods.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 商品预售
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_pre_sale")
@ApiModel(value="PreSale对象", description="商品预售")
public class PreSale implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "预售编号")
    private String preSaleId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "预售开始时间")
    private Long saleStartTime;

    @ApiModelProperty(value = "预售结束时间")
    private Long saleEndTime;

    @ApiModelProperty(value = "预计发货时间")
    private Long shipTime;

    @ApiModelProperty(value = "预计提货开始时间")
    private Long drawStartTime;

    @ApiModelProperty(value = "预计提货结束时间")
    private Long drawEndTime;

    @ApiModelProperty(value = "定金")
    private BigDecimal deposit;

    @ApiModelProperty(value = "状态 0: 删除  1:有效")
    private Integer status;

    @ApiModelProperty(value = "1.固定比例 2.固定金额")
    private Integer depositType;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
