package com.fzm.mall.server.front.goods.model.qo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fzm.mall.server.front.asset.model.qo.CoinOutQO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 我的拍卖
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
@Data
@Builder
public class UserAuctionQO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 我的拍卖类型  0: 待交保证金  1: 已拍下  2:已结束  3:竞拍中
     */
    private Integer type;
    /**
     * 拍卖活动状态  0: 删除  1: 进行中  2:结束  3:流拍   4:无人竞拍
     */
    private String status;;

    private String uid;

    private List<String> auctionIds;

    /**
     * 最终竞拍成功的uid
     */
    private String finalUid;

    private Integer page;

    private Integer size;

    private Integer begin;

    public UserAuctionQO init() {
        this.begin = (page - 1) * size;
        return this;
    }
}
