package com.fzm.mall.server.front.goods.model.vo;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fzm.mall.server.front.goods.model.MarketingCoupon;
import com.fzm.mall.server.front.goods.model.Nft;
import com.fzm.mall.server.front.goods.model.Sku;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "商品信息", description = "")
public class GoodsVo {

    @ApiModelProperty(value = "商品id")
    private String goodsId;
    @ApiModelProperty(value = "商户编号")
    private String merchantId;
    @ApiModelProperty(value = "店铺评分")
    private BigDecimal comment;
    @ApiModelProperty(value = "店铺头像url")
    private String shopImage;
    @ApiModelProperty(value = "类型  1:普通   2:预售   3:竞拍   4:秒杀")
    private Integer type;
    @ApiModelProperty(value = "商品名称")
    private String name;
    @ApiModelProperty(value = "商品描述")
    private String description;
    @ApiModelProperty(value = "商品属性")
    private String prop;
    @ApiModelProperty(value = "商品详情")
    private String detail;
    @ApiModelProperty(value = "商品缩略图")
    private String thumb;
    @ApiModelProperty(value = "商品缩略图")
    private String video;
    @ApiModelProperty(value = "商品最贵sku价格")
    private BigDecimal maxPrice;
    @ApiModelProperty(value = "商品最便宜sku价格")
    private BigDecimal defaultPrice;
    @ApiModelProperty(value = "视频封面")
    private String videoPoster;
    @ApiModelProperty(value = "商品图片列表")
    private String imgList;
    @ApiModelProperty(value = "状态 0: 删除  1: 上架  2: 下架  3: 发行中  4: 失败   5:待审核   6:审核未通过")
    private Integer status;
    @ApiModelProperty(value = "积分数量")
    private Integer bpNum;
    @ApiModelProperty(value = "1-7天无理由退换货\\r\\n2-自定义")
    private Integer returnType;
    @ApiModelProperty(value = "退货描述")
    private String returnDesc;
    @ApiModelProperty(value = "商户名称")
    private String merchantName;
    @ApiModelProperty(value = "优惠券")
    List<UserCouponVo> marketingCoupons;
    @ApiModelProperty(value = "促销活动")
    private PromotionVo promotionVo;
    @ApiModelProperty(value = "sku")
    private List<SkuVo> skus;

    private List<String> imgListJson;

    @ApiModelProperty(value = "商品销量")
    @TableField(exist = false)
    private Long sales;
    @ApiModelProperty(value = "发行量")
    @TableField(exist = false)
    private Long circulation;

    @ApiModelProperty(value = "nft")
    @TableField(exist = false)
    private Nft nft;

    private String nftFile;

    private String hash;
}
