package com.fzm.mall.server.front.goods.model.vo;

import com.fzm.mall.server.front.goods.model.MarketingPromotion;
import com.fzm.mall.server.front.goods.model.MarketingPromotionRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value="促销活动", description="")
@Data
public class PromotionVo {

    @ApiModelProperty(value = "促销编号")
    private String promotionId;

    @ApiModelProperty(value = "类型  1:会员优惠  2:满减  3:满折  4:直降  5: 折扣  ")
    private Integer type;

    @ApiModelProperty(value = "促销名称")
    private String name;

    @ApiModelProperty(value = "活动范围 1.全部 2.APP 3.PC 4.微信小程序")
    private Integer scope;

    @ApiModelProperty(value = "状态 0->不可用;1->进行中;2->未开始;3->已结束")
    private Integer status;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "skuId")
    private String skuId;

    @ApiModelProperty(value = "categoryId")
    private String categoryId;

    @ApiModelProperty(value = "促销开始时间")
    private Long startTime;

    @ApiModelProperty(value = "促销结束时间")
    private Long endTime;

    @ApiModelProperty(value = "促销规则")
    private List<MarketingPromotionRule> marketingPromotionRules;

    @ApiModelProperty(value = "符合条件的skuIds")
    private List<String> skuIds;
}
