package com.fzm.mall.server.front.goods.model.vo;

import com.fzm.mall.server.front.goods.model.SkuProp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value="sku", description="")
public class SkuVo {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "规格编号")
    private String skuId;

    @ApiModelProperty(value = "原价")
    private BigDecimal originalPrice;

    @ApiModelProperty(value = "现价 / 促销价")
    private BigDecimal price;

    @ApiModelProperty(value = "库存")
    private Long stock;

    @ApiModelProperty(value = "发行量")
    private Long circulation;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "商品货币名称")
    private String coinName;

    @ApiModelProperty(value = "规格缩略图")
    private String thumb;

    @ApiModelProperty(value = "规格图片列表")
    private String imgList;

    @ApiModelProperty(value = "状态 0: 删除  1: 有效  2: 发行失败")
    private Integer status;

    @ApiModelProperty(value = "规格数组")
    private List<SkuProp> skuProps;

    @ApiModelProperty(value = "商户编号")
    private String merchantId;

    @ApiModelProperty(value = "物流模板id")
    private String templateId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    private String merchantName;

    @ApiModelProperty(value = "销量")
    private Long sales;

    private Integer type;

    private  String commodityPassId;

}
