package com.fzm.mall.server.front.goods.model.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 我的拍卖
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
@Data
@ApiModel(value="AuctionVO对象", description="我的拍卖")
public class UserAuctionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "拍卖编号")
    private String auctionId;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "出价次数")
    private Integer bidsNum;

    @ApiModelProperty(value = "中标用户编号")
    private String finalUid;

    @ApiModelProperty(value = "当前价")
    private BigDecimal currentPrice;

    @ApiModelProperty(value = "起拍价")
    private BigDecimal startPrice;

    @ApiModelProperty(value = "成交价")
    private BigDecimal finalPrice;

    @ApiModelProperty(value = "起拍时间")
    private Long startTime;

    @ApiModelProperty(value = "结束时间")
    private Long endTime;

    @ApiModelProperty(value = "买家保证金")
    private BigDecimal buyerDeposit;

    @ApiModelProperty(value = "竞价增幅")
    private BigDecimal priceIncrease;

    @ApiModelProperty(value = "状态  0: 删除  1: 进行中  2:结束  3:流拍   4:无人竞拍  5：已完成")
    private Integer status;

    @ApiModelProperty(value = "保证金支付状态  0.待支付 1.成功 2.失败")
    private Integer isDeposit;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;
}
