package com.fzm.mall.server.front.goods.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.goods.model.DistributionTemplateItem;
import com.fzm.mall.server.front.goods.mapper.DistributionTemplateItemMapper;
import com.fzm.mall.server.front.goods.service.IDistributionTemplateItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 物流中心-运费模板-指定地区运费规则 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-03-19
 */
@Service
public class DistributionTemplateItemServiceImpl extends ServiceImpl<DistributionTemplateItemMapper, DistributionTemplateItem> implements IDistributionTemplateItemService {

    @Override
    public DistributionTemplateItem getByAreaAndTemplateId(String areaName, String templateId) {
        QueryWrapper<DistributionTemplateItem> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("template_id",templateId);
        areaName = "%"+areaName+"%";
        queryWrapper.like("delivery_area",areaName);
        return getOne(queryWrapper);
    }


}
