package com.fzm.mall.server.front.order.mapper;

import com.fzm.mall.server.front.goods.model.qo.UserAuctionQO;
import com.fzm.mall.server.front.goods.model.vo.UserAuctionVO;
import com.fzm.mall.server.front.order.model.BiddingRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.front.order.sql.UserBidRecordSqlFactory;
import org.apache.ibatis.annotations.SelectProvider;

import java.util.List;

/**
 * <p>
 * 用户竞拍记录表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
public interface BiddingRecordMapper extends BaseMapper<BiddingRecord> {

    /**
     * 分页查询用户拍卖订单
     */
    @SelectProvider(type = UserBidRecordSqlFactory.class, method = "countUserBidRecordOrder")
    Integer countUserAuctionOrder(UserAuctionQO qo);

    /**
     * 分页查询用户拍卖订单
     */
    @SelectProvider(type = UserBidRecordSqlFactory.class, method = "listUserBidRecordOrder")
    List<BiddingRecord> listUserAuctionOrder(UserAuctionQO qo);
}
