package com.fzm.mall.server.front.order.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户竞拍记录表
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_bidding_record")
@ApiModel(value="BiddingRecord对象", description="用户竞拍记录表")
public class BiddingRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户竞拍记录表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "拍卖编号")
    private String auctionId;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "当前出价")
    private BigDecimal currentPrice;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
