package com.fzm.mall.server.front.order.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单中心-订单设置
 * </p>
 *
 * @author fzm
 * @since 2021-04-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_config")
@ApiModel(value="Config对象", description="订单中心-订单设置")
public class Config implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "未付款，自动关闭订单时间限制（分）")
    private Long orderCloseLimit;

    @ApiModelProperty(value = "未确认收货，系统自动收货限制（天）")
    private Long goodsReceivedLimit;

    @ApiModelProperty(value = "自动结束交易（天）")
    private Long dealCloseLimit;

    @ApiModelProperty(value = "未评价，系统全自动好评（天）")
    private Long highOpinionLimit;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息创建时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
