package com.fzm.mall.server.front.order.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 提货退货单表
 * </p>
 *
 * @author fzm
 * @since 2021-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_delivery_refund")
@ApiModel(value="DeliveryRefund对象", description="提货退货单表")
public class DeliveryRefund implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    private Long id;

    @ApiModelProperty(value = "提货订单编号")
    private String orderDeliveryId;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "0:不合适/不满意 1质量问题 2商品损坏 3价格变化 4商品与页面描述不符 5其他")
    private Integer returnType;

    @ApiModelProperty(value = "图片")
    private String returnImg;

    @ApiModelProperty(value = "退货快递单号")
    private String returnExpressNo;

    @ApiModelProperty(value = "退货快递公司缩写")
    private String returnExpressName;

    @ApiModelProperty(value = "退货理由")
    private String returnReason;

    @ApiModelProperty(value = "退货时间")
    private Long returnTime;

    @ApiModelProperty(value = "退货完成或撤销时间")
    private Long returnUpdateTime;

    @ApiModelProperty(value = "退货前状态")
    private Integer returnState;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


    private Integer state;


}
