package com.fzm.mall.server.front.order.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户拍卖保证金记录表
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_deposit")
@ApiModel(value="Deposit对象", description="用户拍卖保证金记录表")
public class Deposit implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户竞拍记录表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户uid")
    private String uid;

    @ApiModelProperty(value = "拍卖编号")
    private String auctionId;

    @ApiModelProperty(value = "支付编号")
    private String payId;

    @ApiModelProperty(value = "流水状态（0.待支付 1.成功 2.失败）")
    private Integer status;

    @ApiModelProperty(value = "保证金")
    private BigDecimal depositPrice;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
