package com.fzm.mall.server.front.order.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户购物订单详情表
 * </p>
 *
 * @author fzm
 * @since 2021-03-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_detail")
@ApiModel(value = "Detail对象", description = "用户购物订单详情表")
public class OrderDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "订单编号")
    private String oid;

    @ApiModelProperty(value = "商品编号")
    private String skuId;
    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "币种名称")
    private String coin;

    @ApiModelProperty(value = "数量")
    private Integer number;

    @ApiModelProperty(value = "单价")
    private BigDecimal amount;

    @ApiModelProperty(value = "积分名称")
    private String bpName;

    @ApiModelProperty(value = "积分数量")
    private Integer bpNumber;

    @ApiModelProperty(value = "提货备注，不是直接提货的订单，备注为空")
    private String note;

    @ApiModelProperty("买家评价状态，0->未评价，1->已评价（未追评），2->已追评")
    private Integer buyerState;
    @ApiModelProperty("卖家评价状态，0->未评价，1->已评价")
    private Integer sellerState;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "规格缩略图")
    @TableField(exist = false)
    private String thumb;

    @ApiModelProperty(value = "商户号")
    @TableField(exist = false)
    private String merchantId;

    @ApiModelProperty(value = "店铺名称")
    @TableField(exist = false)
    private String shopName;

    private String serialNo;
}
