package com.fzm.mall.server.front.order.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单快照 sku 表
 * </p>
 *
 * @author fzm
 * @since 2021-03-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_sku")
@ApiModel(value="Sku对象", description="订单快照 sku 表")
public class OrderSku implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "订单编号")
    private Long oid;

    @ApiModelProperty(value = "币名称")
    private String coin;

    @ApiModelProperty(value = "属性1的名")
    private String p1Name;

    @ApiModelProperty(value = "属性1的值")
    private String p1Value;

    @ApiModelProperty(value = "属性2的名")
    private String p2Name;

    @ApiModelProperty(value = "属性2的值")
    private String p2Value;

    @ApiModelProperty(value = "图片")
    private String image;


}
