package com.fzm.mall.server.front.order.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单快照 spu 表
 * </p>
 *
 * @author fzm
 * @since 2021-03-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_spu")
@ApiModel(value="Spu对象", description="订单快照 spu 表")
public class OrderSpu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "订单编号")
    private String oid;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "商品描述")
    private String description;

    @ApiModelProperty(value = "商品类型，0->全新，1->转卖")
    private Integer type;

    @ApiModelProperty(value = "商品属性")
    private String propertiesJson;

    @ApiModelProperty(value = "视频地址")
    private String video;

    @ApiModelProperty(value = "视频缩略图地址")
    private String videoThumb;

    @ApiModelProperty(value = "商品默认第一个规格的价格")
    private BigDecimal defaultPrice;

    @ApiModelProperty(value = "缩略图")
    private String thumb;

    @ApiModelProperty(value = "图片列表")
    private String imagesJson;

    @ApiModelProperty(value = "图文描述")
    private String detail;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;


}
