package com.fzm.mall.server.front.order.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 订单退款表
 * </p>
 *
 * @author fzm
 * @since 2021-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("order_refund")
@ApiModel(value="Refund对象", description="订单退款表")
public class Refund implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "退款订单索引，空为全部")
    private String returnIndex;

    @ApiModelProperty(value = "退款理由")
    private String returnReason;


    private Integer returnType;
    @ApiModelProperty(value = "图片  9张")
    private String returnImg;

    @ApiModelProperty(value = "退款时间")
    private Long returnTime;

    @ApiModelProperty(value = "退款完成或取消时间")
    private Long returnUpdateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    private String oid;
    @ApiModelProperty(value = "1:待审核  2：审核通过  3审核驳回 4取消退款")
    private Integer returnState;

    private String errMsg;
}
