package com.fzm.mall.server.front.order.model.vo;

import com.fzm.mall.server.front.goods.model.GoodSkuProp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author tdz
 * @date 2021/04/13 20:36
 */
@Data
@ApiModel("提货信息信息")
public class DeliveryVO {
    @ApiModelProperty("订单编号")
    private String deliveryId;
    @ApiModelProperty(value = "用户编号")
    private String uid;
    @ApiModelProperty(value = "卖家编号")
    private String merchantId;
    @ApiModelProperty("商户名称")
    private String enterpriseName;
    @ApiModelProperty("具体商品编号")
    private String skuId;
    @ApiModelProperty("商品编号")
    private String goodsId;
    @ApiModelProperty("商品名称")
    private String name;
    @ApiModelProperty("商品币种")
    private String coin;
    @ApiModelProperty("数量")
    private Integer number;
    @ApiModelProperty("商品缩略图")
    private String thumb;
    @ApiModelProperty("sku属性")
    private List<Map<String,Object>> propList;
    @ApiModelProperty("收货人名称")
    private String uname;
    @ApiModelProperty("收人手机号")
    private String phone;
    @ApiModelProperty("收货地址")
    private String address;
    @ApiModelProperty("提货备注")
    private String note;
    @ApiModelProperty("提货时间")
    private Long createTime;
    @ApiModelProperty("发货时间")
    private Long deliveryTime;
    @ApiModelProperty("签收时间")
    private Long finishTime;
    @ApiModelProperty("物流类型")
    private String expressType;
    @ApiModelProperty("物流编号")
    private String expressNo;
    @ApiModelProperty("提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货")
    private Integer deliveryState;
    @ApiModelProperty("买家评价状态，0->未评价，1->已评价（未追评），2->已追评")
    private Integer buyerState;
    @ApiModelProperty("卖家评价状态，0->未评价，1->已评价")
    private Integer sellerState;
    @ApiModelProperty(value = "邮费")
    private BigDecimal postFee;
    @ApiModelProperty("物流详情")
    private String expressDetail;
    @ApiModelProperty("提货省份")
    private String province;
    @ApiModelProperty("提货城市")
    private String city;
    @ApiModelProperty("提货区")
    private String county;
    @ApiModelProperty("提货街道")
    private String street;
    @ApiModelProperty("详细信息")
    private String detailAddr;
    @ApiModelProperty("支付方式， 1->支付宝，2->微信 , 3->ccny 0：积分")
    private Integer payType;
    @ApiModelProperty("支付子编号")
    private String payId;

    private String payPassword;
    @ApiModelProperty("类型  1:普通   2:预售   3:竞拍  5.打包  6.NFT")
    private Integer type;
}
