package com.fzm.mall.server.front.shopping.model.dto;


import com.fzm.mall.server.front.goods.model.GoodSkuProp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "shoppingcat对象", description = "购物车")
public class ShoppingCartDto {
    private String id;

    @ApiModelProperty("用户编号")
    private String uid;

    @ApiModelProperty("商品sku编号")
    private String skuId;

    @ApiModelProperty("商家名称")
    private String enterpriseName;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("商家编号")
    private String merchantId;

    @ApiModelProperty("数量")
    private Integer number;

    @ApiModelProperty("是否有效，0->无效，1->有效")
    private Integer isActive;

    @ApiModelProperty("添加时间")
    private Long createTime;

    @ApiModelProperty("更新时间")
    private Long updateTime;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品价格")
    private BigDecimal amount;

    @ApiModelProperty("规格缩略图")
    private String picture;

    @ApiModelProperty("库存")
    private Integer stock;

    @ApiModelProperty("商品编号")
    private String goodsId;

    @ApiModelProperty("sku属性列表")
    private List<GoodSkuProp> goodSkuProp;

    @ApiModelProperty("币名称")
    private String coinName;

    @ApiModelProperty("重量")
    private BigDecimal weight;
}
