package com.fzm.mall.server.front.system.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 系统配置表
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SysConfig对象", description="系统配置表")
public class SysConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "key")
    private String dictKey;

    @ApiModelProperty(value = "值")
    private String dictValue;

    @ApiModelProperty(value = "配置所属模块")
    private Integer type;

    @ApiModelProperty(value = "备注说明")
    private String comm;

    @ApiModelProperty(value = "配置编号")
    private String configId;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Integer status;

    @ApiModelProperty(value = "是否可用(0--否 1--是 )")
    private Integer validState;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息创建时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;
}
