package com.fzm.mall.server.front.system.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 版本更新表
 * </p>
 *
 * @author fzm
 * @since 2021-12-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SysVersion对象", description="版本更新表")
public class SysVersion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "版本唯一主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "类型  安卓或者iOS")
    private String type;

    @ApiModelProperty(value = "版本号")
    private String versionName;

    @ApiModelProperty(value = "是否强制更新 1：强制  2：不强制")
    private String forceVersion;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "版本code")
    private Integer versionCode;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    @ApiModelProperty(value = "更新内容")
    private String content;


}
