package com.fzm.mall.server.front.txtLog.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 资产变动日志表
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="LogTxCoin对象", description="资产变动日志表")
public class LogTxCoin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键自增编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户编号")
    private String uid;

    @ApiModelProperty(value = "渠道")
    private Integer channel;

    @ApiModelProperty(value = "类型，0->入币，1->出币")
    private Integer type;

    @ApiModelProperty(value = "是否是token，0->否，1->是")
    private Integer isToken;

    @ApiModelProperty(value = "类型：0->主链，1->平行链")
    private Integer block;

    @ApiModelProperty(value = "资产名称")
    private String coin;

    @ApiModelProperty(value = "充提币地址")
    private String address;

    @ApiModelProperty(value = "数量")
    private BigDecimal amount;

    @ApiModelProperty(value = "是否成功，0->否，1->是")
    private Integer isActive;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;


}
