package com.fzm.mall.server.front.user.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户收货地址表
 * </p>
 *
 * @author fzm
 * @since 2021-03-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_mail_address")
@ApiModel(value="MailAddress对象", description="用户收货地址表")
public class MailAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "用户 uid")
    private String uid;

    @ApiModelProperty(value = "收货人")
    private String name;

    @ApiModelProperty(value = "状态 1：启用  2： 停用")
    private Integer status;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "城市code")
    private Long cityCode;

    @ApiModelProperty(value = "街道code")
    private Long streetCode;

    @ApiModelProperty(value = "区code")
    private Long countyCode;

    @ApiModelProperty(value = "省份code")
    private Long provinceCode;

    @ApiModelProperty(value = "详细地址")
    private String detailAddr;

    @ApiModelProperty(value = "是否默认  1：是  2 否")
    private Integer defaultAddr;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
