package com.fzm.mall.server.front.user.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会员配置表
 * </p>
 *
 * @author fzm
 * @since 2021-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SysMember对象", description="会员配置表")
public class SysMember implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "会员配置表自增id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "等级：	1--普通会员	2--白银会员	3--黄金会员	4--钻石会员	5--黑卡会员")
    private Integer level;

    @ApiModelProperty(value = "累计消费额")
    private BigDecimal totalConsume;

    @ApiModelProperty(value = "累计推荐人数")
    private Integer totalRecommend;

    @ApiModelProperty(value = "会员费")
    private BigDecimal fee;

    @ApiModelProperty(value = "升级到对应等级所需经验值")
    private Long experience;

    @ApiModelProperty(value = "信息入库时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
